import type { ImageFit } from '../..';
import type { IconSlotType } from '../../..';
import type { AvatarSize } from './interface';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
declare const _sfc_main: DefineComponent<{
    readonly size: {
        readonly type: PropType<AvatarSize>;
        readonly default: "";
    };
    readonly shape: {
        readonly type: PropType<"circle" | "square">;
        readonly default: "circle";
    };
    readonly icon: {
        readonly type: PropType<IconSlotType>;
    };
    readonly src: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly alt: StringConstructor;
    readonly srcSet: StringConstructor;
    readonly fit: {
        readonly type: PropType<ImageFit>;
        readonly default: "cover";
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    error: (evt: Event) => evt is Event;
}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly size: {
        readonly type: PropType<AvatarSize>;
        readonly default: "";
    };
    readonly shape: {
        readonly type: PropType<"circle" | "square">;
        readonly default: "circle";
    };
    readonly icon: {
        readonly type: PropType<IconSlotType>;
    };
    readonly src: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly alt: StringConstructor;
    readonly srcSet: StringConstructor;
    readonly fit: {
        readonly type: PropType<ImageFit>;
        readonly default: "cover";
    };
}>> & {
    onError?: ((evt: Event) => any) | undefined;
}, {
    readonly size: AvatarSize;
    readonly shape: "circle" | "square";
    readonly src: string;
    readonly fit: ImageFit;
}, {}>;
export default _sfc_main;
