import type { BadgeType } from './src/interface';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import Badge from "./src/badge";
export declare const FzBadge: Install<DefineComponent<{
    readonly value: {
        readonly type: PropType<string | number>;
        readonly default: "";
    };
    readonly max: {
        readonly type: NumberConstructor;
        readonly default: 99;
    };
    readonly dot: BooleanConstructor;
    readonly hidden: BooleanConstructor;
    readonly type: {
        readonly type: PropType<BadgeType>;
        readonly default: "error";
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly value: {
        readonly type: PropType<string | number>;
        readonly default: "";
    };
    readonly max: {
        readonly type: NumberConstructor;
        readonly default: 99;
    };
    readonly dot: BooleanConstructor;
    readonly hidden: BooleanConstructor;
    readonly type: {
        readonly type: PropType<BadgeType>;
        readonly default: "error";
    };
}>>, {
    readonly type: BadgeType;
    readonly max: number;
    readonly hidden: boolean;
    readonly dot: boolean;
    readonly value: string | number;
}, {}>>;
export type BadgeInstance = InstanceType<typeof Badge>;
export * from './src/interface';
export default FzBadge;
