import type { ColSize } from './src/interface';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import Col from "./src/col";
export declare const FzCol: Install<DefineComponent<{
    readonly tag: {
        readonly type: StringConstructor;
        readonly default: "div";
    };
    readonly span: {
        readonly type: NumberConstructor;
        readonly default: 24;
    };
    readonly offset: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly pull: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly push: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly xs: {
        readonly type: PropType<ColSize>;
        readonly default: () => {};
    };
    readonly sm: {
        readonly type: PropType<ColSize>;
        readonly default: () => {};
    };
    readonly md: {
        readonly type: PropType<ColSize>;
        readonly default: () => {};
    };
    readonly lg: {
        readonly type: PropType<ColSize>;
        readonly default: () => {};
    };
    readonly xl: {
        readonly type: PropType<ColSize>;
        readonly default: () => {};
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly tag: {
        readonly type: StringConstructor;
        readonly default: "div";
    };
    readonly span: {
        readonly type: NumberConstructor;
        readonly default: 24;
    };
    readonly offset: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly pull: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly push: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly xs: {
        readonly type: PropType<ColSize>;
        readonly default: () => {};
    };
    readonly sm: {
        readonly type: PropType<ColSize>;
        readonly default: () => {};
    };
    readonly md: {
        readonly type: PropType<ColSize>;
        readonly default: () => {};
    };
    readonly lg: {
        readonly type: PropType<ColSize>;
        readonly default: () => {};
    };
    readonly xl: {
        readonly type: PropType<ColSize>;
        readonly default: () => {};
    };
}>>, {
    readonly push: number;
    readonly span: number;
    readonly tag: string;
    readonly offset: number;
    readonly pull: number;
    readonly xs: ColSize;
    readonly sm: ColSize;
    readonly md: ColSize;
    readonly lg: ColSize;
    readonly xl: ColSize;
}, {}>>;
export type ColInstance = InstanceType<typeof Col>;
export * from './src/interface';
export default FzCol;
