import type { ComputedRef } from 'vue';
import type { ComponentSize, MaybeRef } from '../../../../types';
export declare const useFormSize: (fallback?: MaybeRef<ComponentSize | undefined>, ignore?: Partial<Record<'prop' | 'form' | 'formItem' | 'global', boolean>>) => ComputedRef<ComponentSize>;
export declare const useFormDisabled: (fallback?: MaybeRef<boolean | undefined>) => ComputedRef<boolean>;
export declare const useSize: (fallback?: MaybeRef<ComponentSize | undefined>, ignore?: Partial<Record<'prop' | 'form' | 'formItem' | 'global', boolean>>) => ComputedRef<ComponentSize>;
export declare const useDisabled: (fallback?: MaybeRef<boolean | undefined>) => ComputedRef<boolean>;
