import type { MessagePlacement } from './interface';
import type { ComponentType, IconSlotType } from '../../..';
import type { DefineComponent, PropType, VNode, RendererNode, RendererElement, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
declare const _sfc_main: DefineComponent<{
    readonly message: {
        readonly type: PropType<string | VNode<RendererNode, RendererElement, {
            [key: string]: any;
        }>>;
        readonly default: () => null;
    };
    readonly type: {
        readonly type: PropType<ComponentType>;
        readonly default: "default";
    };
    readonly closable: BooleanConstructor;
    readonly duration: {
        readonly type: NumberConstructor;
        readonly default: 2500;
    };
    readonly round: BooleanConstructor;
    readonly icon: {
        readonly type: PropType<IconSlotType>;
        readonly default: () => null;
    };
    readonly color: StringConstructor;
    readonly background: StringConstructor;
    readonly offset: {
        readonly type: NumberConstructor;
        readonly default: 20;
    };
    readonly placement: {
        readonly type: PropType<MessagePlacement>;
        readonly default: "top";
    };
    readonly zIndex: NumberConstructor;
    readonly closeBtn: {
        readonly type: PropType<string | IconSlotType>;
        readonly default: () => null;
    };
    readonly onClose: {
        readonly type: PropType<(evt?: MouseEvent | undefined) => void>;
        readonly default: () => null;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly message: {
        readonly type: PropType<string | VNode<RendererNode, RendererElement, {
            [key: string]: any;
        }>>;
        readonly default: () => null;
    };
    readonly type: {
        readonly type: PropType<ComponentType>;
        readonly default: "default";
    };
    readonly closable: BooleanConstructor;
    readonly duration: {
        readonly type: NumberConstructor;
        readonly default: 2500;
    };
    readonly round: BooleanConstructor;
    readonly icon: {
        readonly type: PropType<IconSlotType>;
        readonly default: () => null;
    };
    readonly color: StringConstructor;
    readonly background: StringConstructor;
    readonly offset: {
        readonly type: NumberConstructor;
        readonly default: 20;
    };
    readonly placement: {
        readonly type: PropType<MessagePlacement>;
        readonly default: "top";
    };
    readonly zIndex: NumberConstructor;
    readonly closeBtn: {
        readonly type: PropType<string | IconSlotType>;
        readonly default: () => null;
    };
    readonly onClose: {
        readonly type: PropType<(evt?: MouseEvent | undefined) => void>;
        readonly default: () => null;
    };
}>>, {
    readonly type: ComponentType;
    readonly icon: IconSlotType;
    readonly round: boolean;
    readonly onClose: (evt?: MouseEvent | undefined) => void;
    readonly offset: number;
    readonly closable: boolean;
    readonly duration: number;
    readonly message: string | VNode<RendererNode, RendererElement, {
        [key: string]: any;
    }>;
    readonly placement: MessagePlacement;
    readonly closeBtn: string | IconSlotType;
}, {}>;
export default _sfc_main;
