import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes, StyleValue } from 'vue';
declare const _sfc_main: DefineComponent<{
    readonly height: {
        readonly type: PropType<string | number>;
        readonly default: "";
    };
    readonly maxHeight: {
        readonly type: PropType<string | number>;
        readonly default: "";
    };
    readonly native: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly wrapStyle: {
        readonly type: PropType<StyleValue>;
        readonly default: "";
    };
    readonly wrapClass: {
        readonly type: PropType<string | string[]>;
        readonly default: "";
    };
    readonly viewClass: {
        readonly type: PropType<string | string[]>;
        readonly default: "";
    };
    readonly viewStyle: {
        readonly type: PropType<StyleValue>;
        readonly default: "";
    };
    readonly noresize: BooleanConstructor;
    readonly tag: {
        readonly type: StringConstructor;
        readonly default: "div";
    };
    readonly always: BooleanConstructor;
    readonly minSize: {
        readonly type: NumberConstructor;
        readonly default: 20;
    };
    readonly id: StringConstructor;
    readonly role: StringConstructor;
    readonly ariaLabel: StringConstructor;
    readonly ariaOrientation: {
        readonly type: PropType<"horizontal" | "vertical">;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    scroll: ({ scrollTop, scrollLeft }: {
        scrollTop: number;
        scrollLeft: number;
    }) => boolean;
}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly height: {
        readonly type: PropType<string | number>;
        readonly default: "";
    };
    readonly maxHeight: {
        readonly type: PropType<string | number>;
        readonly default: "";
    };
    readonly native: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly wrapStyle: {
        readonly type: PropType<StyleValue>;
        readonly default: "";
    };
    readonly wrapClass: {
        readonly type: PropType<string | string[]>;
        readonly default: "";
    };
    readonly viewClass: {
        readonly type: PropType<string | string[]>;
        readonly default: "";
    };
    readonly viewStyle: {
        readonly type: PropType<StyleValue>;
        readonly default: "";
    };
    readonly noresize: BooleanConstructor;
    readonly tag: {
        readonly type: StringConstructor;
        readonly default: "div";
    };
    readonly always: BooleanConstructor;
    readonly minSize: {
        readonly type: NumberConstructor;
        readonly default: 20;
    };
    readonly id: StringConstructor;
    readonly role: StringConstructor;
    readonly ariaLabel: StringConstructor;
    readonly ariaOrientation: {
        readonly type: PropType<"horizontal" | "vertical">;
    };
}>> & {
    onScroll?: ((args_0: {
        scrollTop: number;
        scrollLeft: number;
    }) => any) | undefined;
}, {
    readonly tag: string;
    readonly height: string | number;
    readonly maxHeight: string | number;
    readonly native: boolean;
    readonly wrapStyle: StyleValue;
    readonly wrapClass: string | string[];
    readonly viewClass: string | string[];
    readonly viewStyle: StyleValue;
    readonly noresize: boolean;
    readonly always: boolean;
    readonly minSize: number;
}, {}>;
export default _sfc_main;
