import type { ExtractPropTypes } from 'vue';
export declare const Props: {
    /** 绑定值 */
    readonly modelValue: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    /** 步长 */
    readonly step: {
        readonly type: NumberConstructor;
        readonly default: 1;
    };
    /** 最小值 */
    readonly min: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    /** 最大值 */
    readonly max: {
        readonly type: NumberConstructor;
        readonly default: 100;
    };
    /** 是否禁用 */
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
};
export type SliderProps = ExtractPropTypes<typeof Props>;
