import type { ExtractPropTypes } from 'vue';
export declare const Props: {
    /** 是否展开 */
    readonly open: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    /** 操作栏展开时的文字 */
    readonly openText: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    /**操作栏关闭时的文字 */
    readonly closeText: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    /** 自定义边框颜色 */
    readonly borderColor: {
        readonly type: StringConstructor;
        readonly default: "";
    };
};
/** sticky-card 组件 props 类型 */
export type StickyCardProps = ExtractPropTypes<typeof Props>;
