import type { ComponentSize, IconSlotType } from '../../..';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
declare const _sfc_main: DefineComponent<{
    readonly modelValue: {
        readonly type: PropType<string | number | boolean>;
        readonly default: false;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly loading: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
    };
    readonly width: {
        readonly type: PropType<string | number>;
        readonly default: "";
    };
    readonly inlinePrompt: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly inactiveActionIcon: {
        readonly type: PropType<IconSlotType>;
    };
    readonly activeActionIcon: {
        readonly type: PropType<IconSlotType>;
    };
    readonly activeIcon: {
        readonly type: PropType<IconSlotType>;
    };
    readonly inactiveIcon: {
        readonly type: PropType<IconSlotType>;
    };
    readonly activeText: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly inactiveText: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly activeValue: {
        readonly type: PropType<string | number | boolean>;
        readonly default: true;
    };
    readonly inactiveValue: {
        readonly type: PropType<string | number | boolean>;
        readonly default: false;
    };
    readonly name: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly validateEvent: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly beforeChange: {
        readonly type: PropType<() => boolean | Promise<boolean>>;
    };
    readonly id: StringConstructor;
    readonly tabindex: {
        readonly type: PropType<string | number>;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    "update:modelValue": (val: string | number | boolean) => boolean;
    change: (val: string | number | boolean) => boolean;
    input: (val: string | number | boolean) => boolean;
}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly modelValue: {
        readonly type: PropType<string | number | boolean>;
        readonly default: false;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly loading: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
    };
    readonly width: {
        readonly type: PropType<string | number>;
        readonly default: "";
    };
    readonly inlinePrompt: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly inactiveActionIcon: {
        readonly type: PropType<IconSlotType>;
    };
    readonly activeActionIcon: {
        readonly type: PropType<IconSlotType>;
    };
    readonly activeIcon: {
        readonly type: PropType<IconSlotType>;
    };
    readonly inactiveIcon: {
        readonly type: PropType<IconSlotType>;
    };
    readonly activeText: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly inactiveText: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly activeValue: {
        readonly type: PropType<string | number | boolean>;
        readonly default: true;
    };
    readonly inactiveValue: {
        readonly type: PropType<string | number | boolean>;
        readonly default: false;
    };
    readonly name: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly validateEvent: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly beforeChange: {
        readonly type: PropType<() => boolean | Promise<boolean>>;
    };
    readonly id: StringConstructor;
    readonly tabindex: {
        readonly type: PropType<string | number>;
    };
}>> & {
    "onUpdate:modelValue"?: ((val: string | number | boolean) => any) | undefined;
    onChange?: ((val: string | number | boolean) => any) | undefined;
    onInput?: ((val: string | number | boolean) => any) | undefined;
}, {
    readonly name: string;
    readonly disabled: boolean;
    readonly loading: boolean;
    readonly modelValue: string | number | boolean;
    readonly width: string | number;
    readonly inlinePrompt: boolean;
    readonly activeText: string;
    readonly inactiveText: string;
    readonly activeValue: string | number | boolean;
    readonly inactiveValue: string | number | boolean;
    readonly validateEvent: boolean;
}, {}>;
export default _sfc_main;
