import type { WatermarkFontType } from './src/interface';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import Watermark from "./src/watermark";
export declare const FzWatermark: Install<DefineComponent<{
    readonly zIndex: {
        readonly type: NumberConstructor;
        readonly default: 9;
    };
    readonly rotate: {
        readonly type: NumberConstructor;
        readonly default: -22;
    };
    readonly width: NumberConstructor;
    readonly height: NumberConstructor;
    readonly image: StringConstructor;
    readonly content: {
        readonly type: PropType<string | string[]>;
        readonly default: "Fz Design";
    };
    readonly font: {
        readonly type: PropType<WatermarkFontType>;
    };
    readonly gap: {
        readonly type: PropType<[number, number]>;
        readonly default: () => number[];
    };
    readonly offset: {
        readonly type: PropType<[number, number]>;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly zIndex: {
        readonly type: NumberConstructor;
        readonly default: 9;
    };
    readonly rotate: {
        readonly type: NumberConstructor;
        readonly default: -22;
    };
    readonly width: NumberConstructor;
    readonly height: NumberConstructor;
    readonly image: StringConstructor;
    readonly content: {
        readonly type: PropType<string | string[]>;
        readonly default: "Fz Design";
    };
    readonly font: {
        readonly type: PropType<WatermarkFontType>;
    };
    readonly gap: {
        readonly type: PropType<[number, number]>;
        readonly default: () => number[];
    };
    readonly offset: {
        readonly type: PropType<[number, number]>;
    };
}>>, {
    readonly zIndex: number;
    readonly content: string | string[];
    readonly rotate: number;
    readonly gap: [number, number];
}, {}>>;
export type WatermarkInstance = InstanceType<typeof Watermark>;
export * from './src/interface';
export default FzWatermark;
