import type { WatermarkFontType } from './interface';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
declare const _sfc_main: DefineComponent<{
    readonly zIndex: {
        readonly type: NumberConstructor;
        readonly default: 9;
    };
    readonly rotate: {
        readonly type: NumberConstructor;
        readonly default: -22;
    };
    readonly width: NumberConstructor;
    readonly height: NumberConstructor;
    readonly image: StringConstructor;
    readonly content: {
        readonly type: PropType<string | string[]>;
        readonly default: "Fz Design";
    };
    readonly font: {
        readonly type: PropType<WatermarkFontType>;
    };
    readonly gap: {
        readonly type: PropType<[number, number]>;
        readonly default: () => number[];
    };
    readonly offset: {
        readonly type: PropType<[number, number]>;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly zIndex: {
        readonly type: NumberConstructor;
        readonly default: 9;
    };
    readonly rotate: {
        readonly type: NumberConstructor;
        readonly default: -22;
    };
    readonly width: NumberConstructor;
    readonly height: NumberConstructor;
    readonly image: StringConstructor;
    readonly content: {
        readonly type: PropType<string | string[]>;
        readonly default: "Fz Design";
    };
    readonly font: {
        readonly type: PropType<WatermarkFontType>;
    };
    readonly gap: {
        readonly type: PropType<[number, number]>;
        readonly default: () => number[];
    };
    readonly offset: {
        readonly type: PropType<[number, number]>;
    };
}>>, {
    readonly zIndex: number;
    readonly content: string | string[];
    readonly rotate: number;
    readonly gap: [number, number];
}, {}>;
export default _sfc_main;
