import type { ComputedRef, Ref } from 'vue';
import type { MaybeRef, ComponentSize } from '../types';
export declare const useSize: (fallback?: MaybeRef<ComponentSize | '' | undefined>, ignore?: Partial<Record<'prop' | 'form' | 'formItem' | 'global', boolean>>) => ComputedRef<ComponentSize>;
export interface SizeContext {
    size: Ref<ComponentSize>;
}
export declare const useGlobalSize: () => ComputedRef<ComponentSize>;
