const e = {
  /**
   *  display value.
   */
  value: {
    type: [String, Number],
    default: ""
  },
  /**
   *  maximum value, shows `{max}+` when exceeded. Only works if value is a number.
   */
  max: {
    type: Number,
    default: 99
  },
  /**
   *  if a little dot is displayed.
   */
  dot: Boolean,
  /**
   *  hidden badge.
   */
  hidden: Boolean,
  /**
   *  badge type.
   */
  type: {
    type: String,
    default: "error"
  }
};
export {
  e as Props
};
