import { isNumber as t } from "../../../utils/lodash/index2.js";
const a = {
  /**
   *  preview link list.
   */
  urlList: {
    type: Array,
    default: () => []
  },
  /**
   *  preview backdrop z-index.
   */
  zIndex: {
    type: Number
  },
  /**
   *  the initial preview image index, less than or equal to the length of `url-list`.
   */
  initialIndex: {
    type: Number,
    default: 0
  },
  /**
   *  whether preview is infinite.
   */
  infinite: {
    type: Boolean,
    default: !0
  },
  /**
   *  whether user can emit close event when clicking backdrop.
   */
  hideOnClickModal: Boolean,
  /**
   *  whether to append image itself to body. A nested parent element attribute transform should have this attribute set to `true`.
   */
  teleported: Boolean,
  /**
   *  whether the image-viewer can be closed by pressing ESC.
   */
  closeOnPressEscape: {
    type: Boolean,
    default: !0
  },
  /**
   *  the zoom rate of the image viewer zoom event.
   */
  zoomRate: {
    type: Number,
    default: 1.2
  },
  /**
   *  the min scale of the image viewer zoom event.
   */
  minScale: {
    type: Number,
    default: 0.2
  },
  /**
   *  the max scale of the image viewer zoom event.
   */
  maxScale: {
    type: Number,
    default: 7
  }
}, l = {
  close: () => !0,
  switch: (e) => t(e),
  rotate: (e) => t(e)
};
export {
  l as Emits,
  a as Props
};
