import { defineComponent as U, useAttrs as X, ref as n, computed as s, watch as Z, onMounted as _, openBlock as t, createElementBlock as i, normalizeClass as g, unref as c, normalizeStyle as W, renderSlot as S, createElementVNode as V, toDisplayString as ee, Fragment as F, mergeProps as re, createCommentVNode as v, createBlock as le, withCtx as oe, nextTick as te } from "vue";
import { useEventListener as H } from "../../../../../node_modules/.pnpm/registry.npmmirror.com_@vueuse_core@10.5.0_vue@3.3.4/node_modules/@vueuse/core/index.js";
import ae from "../../image-preview/src/index.js";
import { Props as ne, Emits as se } from "./index3.js";
import { useAttrs as ie } from "../../../hooks/index.js";
import { useThrottleFn as ce } from "../../../../../node_modules/.pnpm/registry.npmmirror.com_@vueuse_shared@10.5.0_vue@3.3.4/node_modules/@vueuse/shared/index.js";
import { isClient as m, isElement as ue, isString as de } from "../../../utils/lodash/index2.js";
import { getScrollContainer as ve, isInContainer as me } from "../../../utils/util/index.js";
import { useLocale as fe } from "../../../hooks/index5.js";
import { useNamespace as pe } from "../../../hooks/index24.js";
const ye = ["src", "loading"], ge = { key: 0 };
var $e = /* @__PURE__ */ U({
  name: "FzImage",
  inheritAttrs: !1,
  __name: "image",
  props: ne,
  emits: se,
  setup(M, { emit: u }) {
    const r = M;
    let C = "";
    const { t: B } = fe(), o = pe("image"), D = X(), N = ie(), w = n(), d = n(!1), a = n(!0), h = n(!1), f = n(), l = n(), O = m && "loading" in HTMLImageElement.prototype;
    let p, y;
    const P = s(() => [
      o.e("inner"),
      L.value && o.e("preview"),
      a.value && o.is("loading")
    ]), K = s(() => D.style), Y = s(() => {
      const { fit: e } = r;
      return m && e ? { objectFit: e } : {};
    }), L = s(() => {
      const { previewSrcList: e } = r;
      return Array.isArray(e) && e.length > 0;
    }), j = s(() => {
      const { previewSrcList: e, initialIndex: z } = r;
      let T = z;
      return z > e.length - 1 && (T = 0), T;
    }), E = s(() => r.loading === "eager" ? !1 : !O && r.loading === "lazy" || r.lazy), k = () => {
      m && (a.value = !0, d.value = !1, w.value = r.src);
    };
    function q(e) {
      a.value = !1, d.value = !1, u("load", e);
    }
    function R(e) {
      a.value = !1, d.value = !0, u("error", e);
    }
    const I = () => {
      me(f.value, l.value) && (k(), b());
    }, A = ce(I, 200, !0), $ = async () => {
      if (!m)
        return;
      await te();
      const { scrollContainer: e } = r;
      ue(e) ? l.value = e : de(e) && e !== "" ? l.value = document.querySelector(e) ?? void 0 : f.value && (l.value = ve(f.value)), l.value && (p = H(
        l.value,
        "scroll",
        A
      ), setTimeout(() => I(), 100));
    }, b = () => {
      !m || !l.value || !A || (p == null || p(), l.value = void 0);
    }, x = (e) => {
      if (e.ctrlKey) {
        if (e.deltaY < 0)
          return e.preventDefault(), !1;
        if (e.deltaY > 0)
          return e.preventDefault(), !1;
      }
    }, G = () => {
      L.value && (y = H("wheel", x, {
        passive: !1
      }), C = document.body.style.overflow, document.body.style.overflow = "hidden", h.value = !0, u("show"));
    }, J = () => {
      y == null || y(), document.body.style.overflow = C, h.value = !1, u("close");
    }, Q = (e) => {
      u("switch", e);
    };
    return Z(
      () => r.src,
      () => {
        E.value ? (a.value = !0, d.value = !1, b(), $()) : k();
      }
    ), _(() => {
      E.value ? $() : k();
    }), (e, z) => (t(), i("div", {
      ref_key: "container",
      ref: f,
      class: g([c(o).b(), e.$attrs.class]),
      style: W(K.value)
    }, [
      d.value ? S(e.$slots, "error", { key: 0 }, () => [
        V("div", {
          class: g(c(o).e("error"))
        }, ee(c(B)("fz.image.error")), 3)
      ]) : (t(), i(F, { key: 1 }, [
        w.value !== void 0 ? (t(), i("img", re({ key: 0 }, c(N), {
          src: w.value,
          loading: e.loading,
          style: Y.value,
          class: P.value,
          onClick: G,
          onLoad: q,
          onError: R
        }), null, 16, ye)) : v("", !0),
        a.value ? (t(), i("div", {
          key: 1,
          class: g(c(o).e("wrapper"))
        }, [
          S(e.$slots, "placeholder", {}, () => [
            V("div", {
              class: g(c(o).e("placeholder"))
            }, null, 2)
          ])
        ], 2)) : v("", !0)
      ], 64)),
      L.value ? (t(), i(F, { key: 2 }, [
        h.value ? (t(), le(ae, {
          key: 0,
          "z-index": e.zIndex,
          "initial-index": j.value,
          infinite: e.infinite,
          "zoom-rate": e.zoomRate,
          "min-scale": e.minScale,
          "max-scale": e.maxScale,
          "url-list": e.previewSrcList,
          "hide-on-click-modal": e.hideOnClickModal,
          teleported: e.previewTeleported,
          "close-on-press-escape": e.closeOnPressEscape,
          onClose: J,
          onSwitch: Q
        }, {
          default: oe(() => [
            e.$slots.viewer ? (t(), i("div", ge, [
              S(e.$slots, "viewer")
            ])) : v("", !0)
          ]),
          _: 3
        }, 8, ["z-index", "initial-index", "infinite", "zoom-rate", "min-scale", "max-scale", "url-list", "hide-on-click-modal", "teleported", "close-on-press-escape"])) : v("", !0)
      ], 64)) : v("", !0)
    ], 6));
  }
});
export {
  $e as default
};
