const e = {
  /** 通知标题 */
  title: {
    type: [String, Object],
    default: () => null
  },
  /** 通知文本 */
  message: {
    type: [String, Object],
    default: () => null
  },
  /**
   * 消息类型
   *
   * @values default primary success danger warning
   */
  type: {
    type: String,
    default: "default"
  },
  /** 是否可关闭 */
  closable: Boolean,
  /** 显示时间，单位为毫秒。 设为 0 则不会自动关闭 */
  duration: {
    type: Number,
    default: 2500
  },
  /** 是否为圆角类型 */
  round: Boolean,
  /** 是否显示按钮 */
  showIcon: {
    type: Boolean,
    default: !0
  },
  /** 消息 icon */
  icon: {
    type: Object,
    default: () => null
  },
  /** 字体颜色 */
  color: String,
  /** 自定义背景色 */
  background: String,
  /** 偏移距离 */
  offset: {
    type: Number,
    default: 20
  },
  /**
   * 弹出位置
   */
  placement: {
    type: String,
    default: "top"
  },
  /** 层级 */
  zIndex: Number,
  /** 关闭按钮 */
  closeBtn: {
    type: [String, Object],
    default: () => null
  },
  /** 关闭回调 */
  onClose: {
    type: Function,
    default: () => null
  }
};
export {
  e as Props
};
