import { isNumber as e } from "../../../utils/lodash/index2.js";
const r = {
  /** 开始的动画数字 */
  from: {
    type: Number,
    default: 0
  },
  /** 结束的动画数字 */
  to: {
    type: Number
  },
  /** 尺寸 */
  size: {
    type: String,
    default: ""
  },
  /** 类型 */
  type: {
    type: String,
    default: ""
  },
  /**
   * 执行动画结束的大概时间
   *
   * 准确时间由浏览器的下一侦渲染决定
   */
  duration: {
    type: Number,
    default: 2e3
  },
  /** 对数字决定金额格式化 */
  formatter: Boolean,
  /** 样式列表 */
  styles: {
    type: Object
  },
  /** 是否初始化自动播放 */
  automatic: {
    type: Boolean,
    default: !0
  }
}, u = {
  /** 动画结束触发函数 */
  end: (t) => e(t)
};
export {
  u as Emits,
  r as Props
};
