const e = {
  /** 绑定值 */
  modelValue: {
    type: [String, Number, Boolean],
    default: () => null
  },
  /**是否禁用 */
  disabled: {
    type: Boolean
  },
  /**尺寸 */
  size: {
    type: String
  },
  /**
   * 原生 name
   *
   * @see name https://developer.mozilla.org/zh-CN/docs/Web/HTML/Element/Input#attr-name
   */
  name: {
    type: String
  },
  /** 选框对应的值 */
  label: {
    type: [String, Number, Boolean],
    default: null
  }
};
export {
  e as Props
};
