import { defineComponent as se, inject as K, ref as x, computed as n, markRaw as C, watch as ie, openBlock as i, createElementBlock as f, unref as p, normalizeClass as j, normalizeStyle as y, Fragment as B, renderList as ce, createVNode as de, withCtx as L, withDirectives as P, createBlock as h, resolveDynamicComponent as I, vShow as R, createCommentVNode as z, toDisplayString as ve } from "vue";
import W from "../../svg-icon/src/index.js";
import { Props as fe, Emits as me } from "./index3.js";
import { FZ_FORM_INJECT_KEY as pe, FZ_FORM_ITEM_INJECT_KEY as he } from "../../../constants/index2.js";
import { useFormSize as _e } from "../../form/src/hooks/index.js";
import { useFormItemInputId as Ve } from "../../form/src/hooks/index2.js";
import { isArray as E, isObject as J, isString as Y } from "../../../utils/lodash/index2.js";
import { UPDATE_MODEL_EVENT as M, EVENT_CODE as _, CHANGE_EVENT as Z } from "../../../constants/index.js";
import { hasClass as q } from "../../../utils/util/index.js";
const we = ["id", "aria-label", "aria-labelledby", "aria-valuenow", "aria-valuetext", "aria-valuemax"], be = ["onMousemove", "onClick"];
var Se = /* @__PURE__ */ se({
  name: "FzRate",
  __name: "rate",
  props: fe,
  emits: me,
  setup(G, { expose: U, emit: d }) {
    const e = G;
    function V(l, a) {
      const o = (r) => J(r), u = Object.keys(a).map((r) => +r).filter((r) => {
        const m = a[r];
        return (o(m) ? m.excluded : !1) ? l < r : l <= r;
      }).sort((r, m) => r - m), v = a[u[0]];
      return o(v) && v.value || v;
    }
    const w = K(pe, void 0), T = K(he, void 0), g = _e(), { inputId: X, isLabeledByFormItem: D } = Ve(e, {
      formItemContext: T
    }), t = x(e.modelValue), b = x(-1), c = x(!0), s = n(() => e.disabled || (w == null ? void 0 : w.disabled)), Q = n(() => [
      "fz-rate",
      {
        [`fz-rate--${g.value}`]: !!g.value,
        "is-disabled": s.value
      }
    ]), ee = n(() => ({
      "--fz-rate-void-color": e.voidColor,
      "--fz-rate-disabled-void-color": e.disabledVoidColor,
      "--fz-rate-fill-color": H.value
    })), S = n(() => {
      let l = "";
      return e.showScore ? l = e.scoreTemplate.replace(
        /\{\s*value\s*\}/,
        s.value ? `${e.modelValue}` : `${t.value}`
      ) : e.showText && (l = e.texts[Math.ceil(t.value) - 1]), l;
    }), F = n(
      () => e.modelValue * 100 - Math.floor(e.modelValue) * 100
    ), le = n(
      () => E(e.colors) ? {
        [e.lowThreshold]: e.colors[0],
        [e.highThreshold]: { value: e.colors[1], excluded: !0 },
        [e.max]: e.colors[2]
      } : e.colors
    ), H = n(() => {
      const l = V(t.value, le.value);
      return J(l) ? "" : l;
    }), ae = n(() => {
      let l = "";
      return s.value ? l = `${F.value}%` : e.allowHalf && (l = "50%"), {
        color: H.value,
        width: l
      };
    }), N = n(() => {
      let l = E(e.icons) ? [...e.icons] : { ...e.icons };
      return l = C(l), E(l) ? {
        [e.lowThreshold]: l[0],
        [e.highThreshold]: {
          value: l[1],
          excluded: !0
        },
        [e.max]: l[2]
      } : l;
    }), oe = n(
      () => V(e.modelValue, N.value)
    ), te = n(
      () => s.value ? Y(e.disabledVoidIcon) ? e.disabledVoidIcon : C(e.disabledVoidIcon) : Y(e.voidIcon) ? e.voidIcon : C(e.voidIcon)
    ), re = n(
      () => V(t.value, N.value)
    );
    function k(l) {
      const a = s.value && F.value > 0 && l - 1 < e.modelValue && l > e.modelValue, o = e.allowHalf && c.value && l - 0.5 <= t.value && l > t.value;
      return a || o;
    }
    function O(l) {
      e.clearable && l === e.modelValue && (l = 0), d(M, l), e.modelValue !== l && d(Z, l);
    }
    function ne(l) {
      s.value || (e.allowHalf && c.value ? O(t.value) : O(l));
    }
    function ue(l) {
      if (s.value)
        return;
      let a = t.value;
      const o = l.code;
      return o === _.up || o === _.right ? (e.allowHalf ? a += 0.5 : a += 1, l.stopPropagation(), l.preventDefault()) : (o === _.left || o === _.down) && (e.allowHalf ? a -= 0.5 : a -= 1, l.stopPropagation(), l.preventDefault()), a = a < 0 ? 0 : a, a = a > e.max ? e.max : a, d(M, a), d(Z, a), a;
    }
    function $(l, a) {
      if (!s.value) {
        if (e.allowHalf && a) {
          let o = a.target;
          q(o, "fz-rate__item") && (o = o.querySelector(".fz-rate__icon")), (o.clientWidth === 0 || q(o, "fz-rate__decimal")) && (o = o.parentNode), c.value = a.offsetX * 2 <= o.clientWidth, t.value = c.value ? l - 0.5 : l;
        } else
          t.value = l;
        b.value = l;
      }
    }
    function A() {
      s.value || (e.allowHalf && (c.value = e.modelValue !== Math.floor(e.modelValue)), t.value = e.modelValue, b.value = -1);
    }
    return ie(
      () => e.modelValue,
      (l) => {
        t.value = l, c.value = e.modelValue !== Math.floor(e.modelValue);
      }
    ), e.modelValue || d(M, 0), U({
      /** @description set current value */
      setCurrentValue: $,
      /** @description reset current value */
      resetCurrentValue: A
    }), (l, a) => {
      var o;
      return i(), f("div", {
        id: p(X),
        class: j(Q.value),
        role: "slider",
        "aria-label": p(D) ? void 0 : l.label || "rating",
        "aria-labelledby": p(D) ? (o = p(T)) == null ? void 0 : o.labelId : void 0,
        "aria-valuenow": t.value,
        "aria-valuetext": S.value || void 0,
        "aria-valuemin": "0",
        "aria-valuemax": l.max,
        tabindex: "0",
        style: y(ee.value),
        onKeydown: ue
      }, [
        (i(!0), f(B, null, ce(l.max, (u, v) => (i(), f("span", {
          key: v,
          class: "fz-rate__item",
          onMousemove: (r) => $(u, r),
          onMouseleave: A,
          onClick: (r) => ne(u)
        }, [
          de(W, {
            class: j([
              "fz-rate__icon",
              {
                "is-hover": b.value === u,
                "is-active": u <= t.value
              }
            ])
          }, {
            default: L(() => [
              k(u) ? z("", !0) : (i(), f(B, { key: 0 }, [
                P((i(), h(I(re.value), null, null, 512)), [
                  [R, u <= t.value]
                ]),
                P((i(), h(I(te.value), null, null, 512)), [
                  [R, !(u <= t.value)]
                ])
              ], 64)),
              k(u) ? (i(), h(W, {
                key: 1,
                style: y(ae.value),
                class: "fz-rate__decimal fz-rate__icon"
              }, {
                default: L(() => [
                  (i(), h(I(oe.value)))
                ]),
                _: 1
              }, 8, ["style"])) : z("", !0)
            ]),
            _: 2
          }, 1032, ["class"])
        ], 40, be))), 128)),
        l.showText || l.showScore ? (i(), f("span", {
          key: 0,
          class: "fz-rate__text",
          style: y({ color: l.textColor })
        }, ve(S.value), 5)) : z("", !0)
      ], 46, we);
    };
  }
});
export {
  Se as default
};
