import { defineComponent as L, inject as T, ref as i, computed as p, onBeforeUnmount as S, onMounted as R, openBlock as D, createBlock as A, Transition as N, withCtx as O, withDirectives as j, createElementVNode as z, normalizeClass as K, normalizeStyle as U, vShow as I } from "vue";
import { scrollbarContextKey as V } from "../utils/index2.js";
import { BAR_MAP as $, renderThumbStyle as q } from "../utils/index.js";
import { thumbProps as F } from "./index6.js";
import { on as y, off as P } from "../../../../utils/util/index.js";
import { throwError as G } from "../../../../utils/console/index.js";
import { isClient as J } from "../../../../utils/lodash/index2.js";
const Q = "Thumb";
var le = /* @__PURE__ */ L({
  __name: "thumb",
  props: F,
  setup(k) {
    const s = k, o = T(V);
    o || G(Q, "can not inject scrollbar context");
    const n = i(), a = i(), m = i({}), u = i(!1);
    let c = !1, v = !1, f = J ? document.onselectstart : null;
    const e = p(() => $[s.vertical ? "vertical" : "horizontal"]), C = p(
      () => q({
        size: s.size,
        move: s.move,
        bar: e.value
      })
    ), h = p(
      () => (
        // offsetRatioX = original width of thumb / current width of thumb / ratioX
        // offsetRatioY = original height of thumb / current height of thumb / ratioY
        // instance height = wrap height - GAP
        // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
        n.value[e.value.offset] ** 2 / // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
        o.wrapElement[e.value.scrollSize] / s.ratio / // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
        a.value[e.value.offset]
      )
    ), M = (t) => {
      var r;
      if (t.stopPropagation(), t.ctrlKey || [1, 2].includes(t.button))
        return;
      (r = window.getSelection()) == null || r.removeAllRanges(), B(t);
      const l = t.currentTarget;
      l && (m.value[e.value.axis] = l[e.value.offset] - (t[e.value.client] - l.getBoundingClientRect()[e.value.direction]));
    }, x = (t) => {
      if (!a.value || !n.value || !o.wrapElement)
        return;
      const l = Math.abs(
        t.target.getBoundingClientRect()[e.value.direction] - t[e.value.client]
      ), r = a.value[e.value.offset] / 2, b = (l - r) * 100 * h.value / n.value[e.value.offset];
      o.wrapElement[e.value.scroll] = // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
      b * o.wrapElement[e.value.scrollSize] / 100;
    }, B = (t) => {
      t.stopImmediatePropagation(), c = !0, document.addEventListener("mousemove", E), document.addEventListener("mouseup", d), f = document.onselectstart, document.onselectstart = () => !1;
    }, E = (t) => {
      if (!n.value || !a.value || c === !1)
        return;
      const l = m.value[e.value.axis];
      if (!l)
        return;
      const r = (n.value.getBoundingClientRect()[e.value.direction] - t[e.value.client]) * -1, b = a.value[e.value.offset] - l, H = (r - b) * 100 * h.value / n.value[e.value.offset];
      o.wrapElement[e.value.scroll] = // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
      H * o.wrapElement[e.value.scrollSize] / 100;
    }, d = () => {
      c = !1, m.value[e.value.axis] = 0, document.removeEventListener("mousemove", E), document.removeEventListener("mouseup", d), _(), v && (u.value = !1);
    }, g = () => {
      v = !1, u.value = !!s.size;
    }, w = () => {
      v = !0, u.value = c;
    };
    S(() => {
      _(), document.removeEventListener("mouseup", d);
    });
    const _ = () => {
      document.onselectstart !== f && (document.onselectstart = f);
    };
    return R(() => {
      y(o.scrollbarElement, "mousemove", g), y(o.scrollbarElement, "mouseleave", w);
    }), S(() => {
      P(o.scrollbarElement, "mousemove", g), P(o.scrollbarElement, "mouseleave", w);
    }), (t, l) => (D(), A(N, { name: "fz-scrollbar-fade" }, {
      default: O(() => [
        j(z("div", {
          ref_key: "instance",
          ref: n,
          class: K(["fz-scrollbar__bar", { [`is-${e.value.key}`]: !!e.value.key }]),
          onMousedown: x
        }, [
          z("div", {
            ref_key: "thumb",
            ref: a,
            class: "fz-scrollbar__thumb",
            style: U(C.value),
            onMousedown: M
          }, null, 36)
        ], 34), [
          [I, t.always || u.value]
        ])
      ]),
      _: 1
    }));
  }
});
export {
  le as default
};
