import { defineComponent as P, useSlots as T, computed as v, ref as g, watchEffect as L, openBlock as k, createBlock as B, renderSlot as N, createVNode as m, isVNode as R, createTextVNode as V } from "vue";
import { Props as Y } from "./index3.js";
import { PatchFlags as i } from "../../../constants/index3.js";
import { isFragment as z, isValidElementNode as A } from "../../../utils/util/index2.js";
import { isArray as p, isNumber as C } from "../../../utils/lodash/index2.js";
var G = /* @__PURE__ */ P({
  name: "FzSpace",
  __name: "space",
  props: Y,
  setup(E) {
    const t = E, h = {
      small: 8,
      default: 12,
      large: 16
    }, _ = T(), $ = v(() => [
      "fz-space",
      { [`fz-space--${t.direction}`]: t.direction },
      t.class
    ]), c = g(0), n = g(0), w = v(() => {
      const e = t.wrap || t.fill ? { flexWrap: "wrap", marginBottom: `-${n.value}px` } : {}, s = {
        alignItems: t.alignment
      };
      return [e, s, t.style];
    }), d = v(() => {
      const e = {
        paddingBottom: `${n.value}px`,
        marginRight: `${c.value}px`
      }, s = t.fill ? { flexGrow: 1, minWidth: `${t.fillRatio}%` } : {};
      return [e, s];
    });
    function S(e, s = "", r = []) {
      const a = `${t.prefixCls || "fz-space"}__item`;
      return e.forEach((l, f) => {
        z(l) ? p(l.children) && l.children.forEach((o, u) => {
          z(o) && p(o.children) ? S(o.children, `${s + u}-`, r) : r.push(
            m(
              "div",
              {
                style: d.value,
                class: a,
                key: `nested-${s + u}`
              },
              {
                default: () => [o]
              },
              i.PROPS | i.STYLE,
              ["style", "class"]
            )
          );
        }) : A(l) && r.push(
          m(
            "div",
            {
              style: d.value,
              class: a,
              key: `LoopKey${s + f}`
            },
            {
              default: () => [l]
            },
            i.PROPS | i.STYLE,
            ["style", "class"]
          )
        );
      }), r;
    }
    L(() => {
      const { size: e = "small", wrap: s, direction: r, fill: a } = t;
      if (p(e)) {
        const [l = 0, f = 0] = e;
        c.value = l, n.value = f;
      } else {
        let l;
        C(e) ? l = e : l = h[e || "small"] || h.small, (s || a) && r === "horizontal" ? c.value = n.value = l : r === "horizontal" ? (c.value = l, n.value = 0) : (n.value = l, c.value = 0);
      }
    });
    const x = () => {
      const { spacer: e, direction: s } = t, r = N(_, "default", { key: 0 }, () => []);
      if ((r.children ?? []).length === 0)
        return null;
      if (p(r.children)) {
        let a = S(r.children);
        if (e) {
          const l = a.length - 1;
          a = a.reduce((f, o, u) => {
            const y = [...f, o];
            return u !== l && y.push(
              m(
                "span",
                // adding width 100% for vertical alignment,
                // when the spacer inherit the width from the
                // parent, this span's width was not set, so space
                // might disappear
                {
                  style: [
                    d.value,
                    s === "vertical" ? "width: 100%" : null
                  ],
                  key: u
                },
                [
                  // if spacer is already a valid vnode, then append it to the current
                  // span element.
                  // otherwise, treat it as string.
                  R(e) ? e : V(e, i.TEXT)
                ],
                i.STYLE
              )
            ), y;
          }, []);
        }
        return m(
          "div",
          {
            class: $.value,
            style: w.value
          },
          a,
          i.STYLE | i.CLASS
        );
      }
      return r.children;
    };
    return (e, s) => (k(), B(x));
  }
});
export {
  G as default
};
