import { defineComponent as $, computed as r, ref as I, watch as C, onMounted as j, openBlock as t, createElementBlock as u, normalizeClass as c, withModifiers as q, createElementVNode as V, unref as a, withKeys as J, createBlock as m, createCommentVNode as s, toDisplayString as w, normalizeStyle as Q, nextTick as W } from "vue";
import { FzSvgIcon as h } from "../../svg-icon/index.js";
import { Props as X, Emits as Y } from "./index3.js";
import { useFormItem as Z, useFormItemInputId as _ } from "../../form/src/hooks/index2.js";
import { useFormSize as x, useFormDisabled as ee } from "../../form/src/hooks/index.js";
import { isPromise as N, isBoolean as ie } from "../../../utils/lodash/index2.js";
import { addUnit as ae } from "../../../utils/util/index.js";
import { UPDATE_MODEL_EVENT as P, CHANGE_EVENT as A, INPUT_EVENT as S } from "../../../constants/index.js";
import { warning as z, throwError as ne } from "../../../utils/console/index.js";
import oe from "../../../../fz-design-icon/src/icon-loading/index.js";
import { useNamespace as te } from "../../../hooks/index24.js";
const le = ["onClick"], ce = ["id", "aria-checked", "aria-disabled", "name", "true-value", "false-value", "disabled", "tabindex", "onKeydown"], se = ["aria-hidden"], re = ["aria-hidden"], ue = ["aria-hidden"], y = "FzSwitch";
var we = /* @__PURE__ */ $({
  name: y,
  __name: "switch",
  props: X,
  emits: Y,
  setup(B, { expose: F, emit: v }) {
    const n = B, { formItem: d } = Z(), K = x(), i = te("switch"), { inputId: D } = _(n, {
      formItemContext: d
    }), f = ee(r(() => n.loading)), M = I(n.modelValue !== !1), p = I(), O = I(), L = r(() => [
      i.b(),
      i.m(K.value),
      i.is("disabled", f.value),
      i.is("checked", o.value)
    ]), U = r(() => [
      i.e("label"),
      i.em("label", "left"),
      i.is("active", !o.value)
    ]), G = r(() => [
      i.e("label"),
      i.em("label", "right"),
      i.is("active", o.value)
    ]), H = r(() => ({
      width: ae(n.width)
    }));
    C(
      () => n.modelValue,
      () => {
        M.value = !0;
      }
    );
    const T = r(() => n.modelValue), o = r(() => T.value === n.activeValue);
    [n.activeValue, n.inactiveValue].includes(T.value) || (v(P, n.inactiveValue), v(A, n.inactiveValue), v(S, n.inactiveValue)), C(o, (e) => {
      var l;
      p.value.checked = e, n.validateEvent && ((l = d == null ? void 0 : d.validate) == null || l.call(d, "change").catch((g) => z(y, g)));
    });
    const k = () => {
      const e = o.value ? n.inactiveValue : n.activeValue;
      v(P, e), v(A, e), v(S, e), W(() => {
        p.value.checked = o.value;
      });
    }, E = () => {
      if (f.value)
        return;
      const { beforeChange: e } = n;
      if (!e) {
        k();
        return;
      }
      const l = e();
      [N(l), ie(l)].includes(
        !0
      ) || ne(
        y,
        "beforeChange must return type `Promise<boolean>` or `boolean`"
      ), N(l) ? l.then((b) => {
        b && k();
      }).catch((b) => {
        z(y, `some error occurred: ${b}`);
      }) : l && k();
    }, R = () => {
      var e, l;
      (l = (e = p.value) == null ? void 0 : e.focus) == null || l.call(e);
    };
    return j(() => {
      p.value.checked = o.value;
    }), F({
      /**
       *  切换focus
       **/
      focus: R,
      /**
       *  切换状态
       */
      checked: o
    }), (e, l) => (t(), u("div", {
      class: c(L.value),
      onClick: q(E, ["prevent"])
    }, [
      V("input", {
        id: a(D),
        ref_key: "input",
        ref: p,
        class: c(a(i).e("input")),
        type: "checkbox",
        role: "switch",
        "aria-checked": o.value,
        "aria-disabled": a(f),
        name: e.name,
        "true-value": e.activeValue,
        "false-value": e.inactiveValue,
        disabled: a(f),
        tabindex: e.tabindex,
        onChange: k,
        onKeydown: J(E, ["enter"])
      }, null, 42, ce),
      !e.inlinePrompt && (e.inactiveIcon || e.inactiveText) ? (t(), u("span", {
        key: 0,
        class: c(U.value)
      }, [
        e.inactiveIcon ? (t(), m(a(h), {
          key: 0,
          icon: e.inactiveIcon
        }, null, 8, ["icon"])) : s("", !0),
        !e.inactiveIcon && e.inactiveText ? (t(), u("span", {
          key: 1,
          "aria-hidden": o.value
        }, w(e.inactiveText), 9, se)) : s("", !0)
      ], 2)) : s("", !0),
      V("span", {
        ref_key: "core",
        ref: O,
        class: c(a(i).e("core")),
        style: Q(H.value)
      }, [
        e.inlinePrompt ? (t(), u("div", {
          key: 0,
          class: c(a(i).e("inner"))
        }, [
          e.activeIcon || e.inactiveIcon ? (t(), m(a(h), {
            key: 0,
            class: c(a(i).is("icon")),
            icon: o.value ? e.activeIcon : e.inactiveIcon
          }, null, 8, ["class", "icon"])) : e.activeText || e.inactiveText ? (t(), u("span", {
            key: 1,
            class: c(a(i).is("text")),
            "aria-hidden": !o.value
          }, w(o.value ? e.activeText : e.inactiveText), 11, re)) : s("", !0)
        ], 2)) : s("", !0),
        V("div", {
          class: c(a(i).e("action"))
        }, [
          e.loading ? (t(), m(a(h), {
            key: 0,
            icon: a(oe),
            class: c(a(i).is("loading"))
          }, null, 8, ["icon", "class"])) : e.activeActionIcon && o.value ? (t(), m(a(h), {
            key: 1,
            icon: e.activeActionIcon
          }, null, 8, ["icon"])) : e.inactiveActionIcon && !o.value ? (t(), m(a(h), {
            key: 2,
            icon: e.inactiveActionIcon
          }, null, 8, ["icon"])) : s("", !0)
        ], 2)
      ], 6),
      !e.inlinePrompt && (e.activeIcon || e.activeText) ? (t(), u("span", {
        key: 1,
        class: c(G.value)
      }, [
        e.activeIcon ? (t(), m(a(h), {
          key: 0,
          icon: e.activeIcon
        }, null, 8, ["icon"])) : s("", !0),
        !e.activeIcon && e.activeText ? (t(), u("span", {
          key: 1,
          "aria-hidden": !o.value
        }, w(e.activeText), 9, ue)) : s("", !0)
      ], 2)) : s("", !0)
    ], 10, le));
  }
});
export {
  we as default
};
