import { inject as n, computed as t, unref as i } from "vue";
import { isClient as d } from "../utils/lodash/index2.js";
import { warning as c } from "../utils/console/index.js";
const r = {
  prefix: Math.floor(Math.random() * 1e4),
  current: 0
}, u = Symbol("fzIdInjection"), m = (o) => {
  const e = n(u, r);
  return !d && e === r && c(
    "IdInjection",
    `Looks like you are using server rendering, you must provide a id provider to ensure the hydration process to be succeed
usage: app.provide(ID_INJECTION_KEY, {
  prefix: number,
  current: number,
})`
  ), t(() => i(o) || `fz-id-${e.prefix}-${e.current++}`);
};
export {
  u as ID_INJECTION_KEY,
  m as useId
};
