import type { CardShadow } from './src/interface';
import type { DefineComponent, PropType, StyleValue, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import Card from "./src/card";
export declare const FzCard: Install<DefineComponent<{
    readonly header: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly bodyStyle: {
        readonly type: PropType<StyleValue>;
        readonly default: "";
    };
    readonly shadow: {
        readonly type: PropType<CardShadow>;
        readonly default: "hover";
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly header: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly bodyStyle: {
        readonly type: PropType<StyleValue>;
        readonly default: "";
    };
    readonly shadow: {
        readonly type: PropType<CardShadow>;
        readonly default: "hover";
    };
}>>, {
    readonly header: string;
    readonly bodyStyle: StyleValue;
    readonly shadow: CardShadow;
}, {}>>;
export type CardInstance = InstanceType<typeof Card>;
export * from './src/interface';
export default FzCard;
