import type { DefineComponent, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import CollapseTransition from "./src/collapse-transition";
export declare const FzCollapseTransition: Install<DefineComponent<{}, {
    on: {
        beforeEnter(el: any): void;
        enter(el: any): void;
        afterEnter(el: any): void;
        beforeLeave(el: any): void;
        leave(el: any): void;
        afterLeave(el: any): void;
    };
}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{}>>, {}, {}>>;
export type CollapseTransitionInstance = InstanceType<typeof CollapseTransition>;
export * from './src/interface';
export default FzCollapseTransition;
