import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Danmu } from './interface';
declare const _sfc_main: DefineComponent<{
    readonly danmus: {
        readonly type: PropType<Danmu[]>;
        readonly required: true;
        readonly default: () => never[];
    };
    readonly channels: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly autoplay: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly hidden: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly loop: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly useSlot: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly debounce: {
        readonly type: NumberConstructor;
        readonly default: 100;
    };
    readonly speeds: {
        readonly type: NumberConstructor;
        readonly default: 200;
    };
    readonly randomChannel: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly fontSize: {
        readonly type: NumberConstructor;
        readonly default: 18;
    };
    readonly top: {
        readonly type: NumberConstructor;
        readonly default: 4;
    };
    readonly right: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly isSuspend: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly extraStyle: {
        readonly type: StringConstructor;
        readonly default: "";
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, string[], string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly danmus: {
        readonly type: PropType<Danmu[]>;
        readonly required: true;
        readonly default: () => never[];
    };
    readonly channels: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly autoplay: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly hidden: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly loop: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly useSlot: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly debounce: {
        readonly type: NumberConstructor;
        readonly default: 100;
    };
    readonly speeds: {
        readonly type: NumberConstructor;
        readonly default: 200;
    };
    readonly randomChannel: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly fontSize: {
        readonly type: NumberConstructor;
        readonly default: 18;
    };
    readonly top: {
        readonly type: NumberConstructor;
        readonly default: 4;
    };
    readonly right: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly isSuspend: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly extraStyle: {
        readonly type: StringConstructor;
        readonly default: "";
    };
}>> & {
    [x: `on${Capitalize<string>}`]: ((...args: any[]) => any) | undefined;
}, {
    readonly right: number;
    readonly top: number;
    readonly hidden: boolean;
    readonly fontSize: number;
    readonly danmus: Danmu[];
    readonly channels: number;
    readonly autoplay: boolean;
    readonly loop: boolean;
    readonly useSlot: boolean;
    readonly debounce: number;
    readonly speeds: number;
    readonly randomChannel: boolean;
    readonly isSuspend: boolean;
    readonly extraStyle: string;
}, {}>;
export default _sfc_main;
