import type { DefineComponent, PropType, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes, CSSProperties } from 'vue';
declare const _sfc_main: DefineComponent<{
    readonly direction: {
        readonly type: PropType<"horizontal" | "vertical">;
        readonly default: "horizontal";
    };
    readonly contentPosition: {
        readonly type: PropType<"left" | "center" | "right">;
        readonly default: "center";
    };
    readonly borderStyle: {
        readonly type: PropType<string>;
        readonly default: "solid";
    };
}, {
    dividerStyle: ComputedRef<CSSProperties>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly direction: {
        readonly type: PropType<"horizontal" | "vertical">;
        readonly default: "horizontal";
    };
    readonly contentPosition: {
        readonly type: PropType<"left" | "center" | "right">;
        readonly default: "center";
    };
    readonly borderStyle: {
        readonly type: PropType<string>;
        readonly default: "solid";
    };
}>>, {
    readonly borderStyle: string;
    readonly direction: "horizontal" | "vertical";
    readonly contentPosition: "left" | "center" | "right";
}, {}>;
export default _sfc_main;
