import type { IconSlotType } from '../..';
import type { LinkType } from './src/interface';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import Link from "./src/link";
export declare const FzLink: Install<DefineComponent<{
    readonly type: {
        readonly type: PropType<LinkType>;
        readonly default: "default";
    };
    readonly underline: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly href: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly icon: {
        readonly type: PropType<IconSlotType>;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    click: (evt: MouseEvent) => boolean;
}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly type: {
        readonly type: PropType<LinkType>;
        readonly default: "default";
    };
    readonly underline: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly href: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly icon: {
        readonly type: PropType<IconSlotType>;
    };
}>> & {
    onClick?: ((evt: MouseEvent) => any) | undefined;
}, {
    readonly type: LinkType;
    readonly disabled: boolean;
    readonly underline: boolean;
    readonly href: string;
}, {}>>;
export type LinkInstance = InstanceType<typeof Link>;
export * from './src/interface';
export default FzLink;
