import type { IconSlotType } from '../..';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import SvgIcon from "./src/svg-icon";
export declare const FzSvgIcon: Install<DefineComponent<{
    readonly icon: {
        readonly type: PropType<IconSlotType>;
    };
    readonly color: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly size: {
        readonly type: PropType<string | number>;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly icon: {
        readonly type: PropType<IconSlotType>;
    };
    readonly color: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly size: {
        readonly type: PropType<string | number>;
    };
}>>, {
    readonly color: string;
}, {}>>;
export type SvgIconInstance = InstanceType<typeof SvgIcon>;
export * from './src/interface';
export default FzSvgIcon;
