import type { ComponentSize } from '../..';
import type { TextType } from './src/interface';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import Text from "./src/text";
export declare const FzText: Install<DefineComponent<{
    readonly type: {
        readonly type: PropType<TextType>;
        readonly default: "";
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "";
    };
    readonly ellipsis: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly lineClamp: {
        readonly type: PropType<string | number>;
    };
    readonly tag: {
        readonly type: StringConstructor;
        readonly default: "span";
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly type: {
        readonly type: PropType<TextType>;
        readonly default: "";
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "";
    };
    readonly ellipsis: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly lineClamp: {
        readonly type: PropType<string | number>;
    };
    readonly tag: {
        readonly type: StringConstructor;
        readonly default: "span";
    };
}>>, {
    readonly size: ComponentSize;
    readonly type: TextType;
    readonly ellipsis: boolean;
    readonly tag: string;
}, {}>>;
export type TextInstance = InstanceType<typeof Text>;
export * from './src/interface';
export default FzText;
