import type { ButtonType, ButtonNative } from './interface';
import type { ComponentSize, IconSlotType } from '../../..';
import type { DefineComponent, PropType, Ref, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
declare const _sfc_main: DefineComponent<{
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "";
    };
    readonly type: {
        readonly type: PropType<ButtonType>;
        readonly default: "";
    };
    readonly text: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly nativeType: {
        readonly type: PropType<ButtonNative>;
        readonly default: "button";
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly icon: {
        readonly type: PropType<IconSlotType>;
        readonly default: "";
    };
    readonly loading: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly plain: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly round: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly circle: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
}, {
    IconLoading: any;
    buttonRef: Ref<any>;
    buttonType: ComputedRef<"" | "default" | "primary" | "success" | "warning" | "info" | "error">;
    buttonSize: ComputedRef<ComponentSize>;
    buttonDisabled: ComputedRef<boolean>;
    handleClick: (evt: MouseEvent) => void;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    click: (evt: MouseEvent) => boolean;
}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "";
    };
    readonly type: {
        readonly type: PropType<ButtonType>;
        readonly default: "";
    };
    readonly text: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly nativeType: {
        readonly type: PropType<ButtonNative>;
        readonly default: "button";
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly icon: {
        readonly type: PropType<IconSlotType>;
        readonly default: "";
    };
    readonly loading: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly plain: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly round: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly circle: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
}>> & {
    onClick?: ((evt: MouseEvent) => any) | undefined;
}, {
    readonly size: ComponentSize;
    readonly type: ButtonType;
    readonly text: boolean;
    readonly nativeType: ButtonNative;
    readonly disabled: boolean;
    readonly icon: IconSlotType;
    readonly loading: boolean;
    readonly plain: boolean;
    readonly round: boolean;
    readonly circle: boolean;
    readonly autofocus: boolean;
}, {}>;
export default _sfc_main;
