import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
declare const _sfc_main: DefineComponent<{
    readonly date: {
        readonly type: DateConstructor;
        readonly default: () => Date;
        readonly required: true;
    };
    readonly lunar: {
        readonly type: BooleanConstructor;
    };
    readonly hiddenHeader: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly border: {
        readonly type: BooleanConstructor;
    };
    readonly borderColor: {
        readonly type: StringConstructor;
    };
    readonly dayCellHeight: {
        readonly type: PropType<string | number>;
    };
    readonly weekCellHeight: {
        readonly type: PropType<string | number>;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    change: (year: number, month: number, date: number) => boolean;
}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly date: {
        readonly type: DateConstructor;
        readonly default: () => Date;
        readonly required: true;
    };
    readonly lunar: {
        readonly type: BooleanConstructor;
    };
    readonly hiddenHeader: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly border: {
        readonly type: BooleanConstructor;
    };
    readonly borderColor: {
        readonly type: StringConstructor;
    };
    readonly dayCellHeight: {
        readonly type: PropType<string | number>;
    };
    readonly weekCellHeight: {
        readonly type: PropType<string | number>;
    };
}>> & {
    onChange?: ((year: number, month: number, date: number) => any) | undefined;
}, {
    readonly border: boolean;
    readonly date: Date;
    readonly lunar: boolean;
    readonly hiddenHeader: boolean;
}, {}>;
export default _sfc_main;
