import type { ComponentSize } from '../..';
import type { CheckboxLabel } from '..';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import CheckboxGroup from "./src/checkbox-group";
export declare const FzCheckboxGroup: Install<DefineComponent<{
    readonly modelValue: {
        readonly type: PropType<CheckboxLabel[]>;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
    };
    readonly vertical: {
        readonly type: BooleanConstructor;
    };
    readonly label: {
        readonly type: StringConstructor;
    };
    readonly background: {
        readonly type: BooleanConstructor;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
    };
    readonly columnGap: {
        readonly type: PropType<string | number>;
    };
    readonly rowGap: {
        readonly type: PropType<string | number>;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "change"[], "change", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly modelValue: {
        readonly type: PropType<CheckboxLabel[]>;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
    };
    readonly vertical: {
        readonly type: BooleanConstructor;
    };
    readonly label: {
        readonly type: StringConstructor;
    };
    readonly background: {
        readonly type: BooleanConstructor;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
    };
    readonly columnGap: {
        readonly type: PropType<string | number>;
    };
    readonly rowGap: {
        readonly type: PropType<string | number>;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    readonly disabled: boolean;
    readonly vertical: boolean;
    readonly background: boolean;
}, {}>>;
export type CheckboxGroupInstance = InstanceType<typeof CheckboxGroup>;
export * from './src/interface';
export default FzCheckboxGroup;
