import type { ExtractPropTypes } from 'vue';
export declare const Props: {
    /**
     * @description image URL of empty
     */
    readonly image: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    /**
     * @description image size (width) of empty
     */
    readonly imageSize: NumberConstructor;
    /**
     * @description description of empty
     */
    readonly description: {
        readonly type: StringConstructor;
        readonly default: "";
    };
};
export type EmptyProps = ExtractPropTypes<typeof Props>;
