import type { ImageFit, ImageLoading } from './interface';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
declare const _sfc_main: DefineComponent<{
    readonly hideOnClickModal: BooleanConstructor;
    readonly src: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly fit: {
        readonly type: PropType<ImageFit>;
    };
    readonly loading: {
        readonly type: PropType<ImageLoading>;
    };
    readonly lazy: BooleanConstructor;
    readonly scrollContainer: {
        readonly type: PropType<string | HTMLElement | undefined>;
    };
    readonly previewSrcList: {
        readonly type: PropType<string[]>;
        readonly default: () => readonly [];
    };
    readonly previewTeleported: BooleanConstructor;
    readonly zIndex: {
        readonly type: NumberConstructor;
    };
    readonly initialIndex: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly infinite: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly closeOnPressEscape: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly zoomRate: {
        readonly type: NumberConstructor;
        readonly default: 1.2;
    };
    readonly minScale: {
        readonly type: NumberConstructor;
        readonly default: 0.2;
    };
    readonly maxScale: {
        readonly type: NumberConstructor;
        readonly default: 7;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    load: (evt: Event) => boolean;
    error: (evt: Event) => boolean;
    switch: (val: number) => boolean;
    close: () => boolean;
    show: () => boolean;
}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly hideOnClickModal: BooleanConstructor;
    readonly src: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly fit: {
        readonly type: PropType<ImageFit>;
    };
    readonly loading: {
        readonly type: PropType<ImageLoading>;
    };
    readonly lazy: BooleanConstructor;
    readonly scrollContainer: {
        readonly type: PropType<string | HTMLElement | undefined>;
    };
    readonly previewSrcList: {
        readonly type: PropType<string[]>;
        readonly default: () => readonly [];
    };
    readonly previewTeleported: BooleanConstructor;
    readonly zIndex: {
        readonly type: NumberConstructor;
    };
    readonly initialIndex: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly infinite: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly closeOnPressEscape: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly zoomRate: {
        readonly type: NumberConstructor;
        readonly default: 1.2;
    };
    readonly minScale: {
        readonly type: NumberConstructor;
        readonly default: 0.2;
    };
    readonly maxScale: {
        readonly type: NumberConstructor;
        readonly default: 7;
    };
}>> & {
    onClose?: (() => any) | undefined;
    onError?: ((evt: Event) => any) | undefined;
    onShow?: (() => any) | undefined;
    onLoad?: ((evt: Event) => any) | undefined;
    onSwitch?: ((val: number) => any) | undefined;
}, {
    readonly infinite: boolean;
    readonly src: string;
    readonly lazy: boolean;
    readonly hideOnClickModal: boolean;
    readonly previewSrcList: string[];
    readonly previewTeleported: boolean;
    readonly initialIndex: number;
    readonly closeOnPressEscape: boolean;
    readonly zoomRate: number;
    readonly minScale: number;
    readonly maxScale: number;
}, {}>;
export default _sfc_main;
