import type { ComponentSize } from '../..';
import type { RadioModelValue } from '..';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import RadioGroup from "./src/radio-group";
export declare const FzRadioGroup: Install<DefineComponent<{
    readonly modelValue: {
        readonly type: PropType<RadioModelValue>;
        readonly default: () => null;
    };
    readonly vertical: {
        readonly type: BooleanConstructor;
    };
    readonly columnGap: {
        readonly type: PropType<string | number>;
    };
    readonly rowGap: {
        readonly type: PropType<string | number>;
    };
    readonly background: {
        readonly type: BooleanConstructor;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "change"[], "change", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly modelValue: {
        readonly type: PropType<RadioModelValue>;
        readonly default: () => null;
    };
    readonly vertical: {
        readonly type: BooleanConstructor;
    };
    readonly columnGap: {
        readonly type: PropType<string | number>;
    };
    readonly rowGap: {
        readonly type: PropType<string | number>;
    };
    readonly background: {
        readonly type: BooleanConstructor;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    readonly disabled: boolean;
    readonly vertical: boolean;
    readonly modelValue: RadioModelValue;
    readonly background: boolean;
}, {}>>;
export type RadioGroupInstance = InstanceType<typeof RadioGroup>;
export * from './src/interface';
export default FzRadioGroup;
