import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { ComponentSize, IconSlotType } from '../../../types';
declare const _sfc_main: DefineComponent<{
    readonly modelValue: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly id: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly lowThreshold: {
        readonly type: NumberConstructor;
        readonly default: 2;
    };
    readonly highThreshold: {
        readonly type: NumberConstructor;
        readonly default: 4;
    };
    readonly max: {
        readonly type: NumberConstructor;
        readonly default: 5;
    };
    readonly colors: {
        readonly type: PropType<string[] | Record<number, string>>;
        readonly default: () => string[];
    };
    readonly voidColor: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly disabledVoidColor: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly icons: {
        readonly type: PropType<(string | IconSlotType)[] | Record<number, string | IconSlotType>>;
        readonly default: () => any[];
    };
    readonly voidIcon: {
        readonly type: PropType<IconSlotType>;
        readonly default: () => any;
    };
    readonly disabledVoidIcon: {
        readonly type: PropType<IconSlotType>;
        readonly default: () => any;
    };
    readonly disabled: BooleanConstructor;
    readonly allowHalf: BooleanConstructor;
    readonly showText: BooleanConstructor;
    readonly showScore: BooleanConstructor;
    readonly textColor: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly texts: {
        readonly type: PropType<string[]>;
        readonly default: () => string[];
    };
    readonly scoreTemplate: {
        readonly type: StringConstructor;
        readonly default: "{value}";
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "";
    };
    readonly label: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly clearable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    change: (value: number) => boolean;
    "update:modelValue": (value: number) => boolean;
}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly modelValue: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly id: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly lowThreshold: {
        readonly type: NumberConstructor;
        readonly default: 2;
    };
    readonly highThreshold: {
        readonly type: NumberConstructor;
        readonly default: 4;
    };
    readonly max: {
        readonly type: NumberConstructor;
        readonly default: 5;
    };
    readonly colors: {
        readonly type: PropType<string[] | Record<number, string>>;
        readonly default: () => string[];
    };
    readonly voidColor: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly disabledVoidColor: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly icons: {
        readonly type: PropType<(string | IconSlotType)[] | Record<number, string | IconSlotType>>;
        readonly default: () => any[];
    };
    readonly voidIcon: {
        readonly type: PropType<IconSlotType>;
        readonly default: () => any;
    };
    readonly disabledVoidIcon: {
        readonly type: PropType<IconSlotType>;
        readonly default: () => any;
    };
    readonly disabled: BooleanConstructor;
    readonly allowHalf: BooleanConstructor;
    readonly showText: BooleanConstructor;
    readonly showScore: BooleanConstructor;
    readonly textColor: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly texts: {
        readonly type: PropType<string[]>;
        readonly default: () => string[];
    };
    readonly scoreTemplate: {
        readonly type: StringConstructor;
        readonly default: "{value}";
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "";
    };
    readonly label: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly clearable: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
}>> & {
    "onUpdate:modelValue"?: ((value: number) => any) | undefined;
    onChange?: ((value: number) => any) | undefined;
}, {
    readonly size: ComponentSize;
    readonly disabled: boolean;
    readonly id: string;
    readonly modelValue: number;
    readonly label: string;
    readonly lowThreshold: number;
    readonly highThreshold: number;
    readonly max: number;
    readonly colors: string[] | Record<number, string>;
    readonly voidColor: string;
    readonly disabledVoidColor: string;
    readonly icons: (string | IconSlotType)[] | Record<number, string | IconSlotType>;
    readonly voidIcon: IconSlotType;
    readonly disabledVoidIcon: IconSlotType;
    readonly allowHalf: boolean;
    readonly showText: boolean;
    readonly showScore: boolean;
    readonly textColor: string;
    readonly texts: string[];
    readonly scoreTemplate: string;
    readonly clearable: boolean;
}, {}>;
export default _sfc_main;
