import type { DefineComponent, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import StickyCard from "./src/sticky-card";
export declare const FzStickyCard: Install<DefineComponent<{
    readonly open: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    /** sticky-card 组件实例类型 */
    readonly openText: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly closeText: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly borderColor: {
        readonly type: StringConstructor;
        readonly default: "";
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("open" | "close")[], "open" | "close", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly open: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    /** sticky-card 组件实例类型 */
    readonly openText: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly closeText: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly borderColor: {
        readonly type: StringConstructor;
        readonly default: "";
    };
}>> & {
    onOpen?: ((...args: any[]) => any) | undefined;
    onClose?: ((...args: any[]) => any) | undefined;
}, {
    readonly open: boolean;
    readonly openText: string;
    readonly closeText: string;
    readonly borderColor: string;
}, {}>>;
/** sticky-card 组件实例类型 */
export type StickyCardInstance = InstanceType<typeof StickyCard>;
export * from './src/interface';
export default FzStickyCard;
