import type { ComputedRef } from 'vue';
interface Params {
    excludeListeners?: boolean;
    excludeKeys?: ComputedRef<string[]>;
}
/**
 * 除去某些属性或事件后的attrs，默认除去class和style，且一定包含两者
 * @param params Params
 * @returns attrs
 */
export declare const useAttrs: (params?: Params) => ComputedRef<Record<string, unknown>>;
export {};
