import type { ToRefs, ExtractPropTypes } from 'vue';
export declare const useDelayedToggleProps: {
    showAfter: {
        type: NumberConstructor;
        default: number;
    };
    hideAfter: {
        type: NumberConstructor;
        default: number;
    };
};
export type UseDelayedToggleProps = {
    open: () => void;
    close: () => void;
} & ToRefs<ExtractPropTypes<typeof useDelayedToggleProps>>;
export declare const useDelayedToggle: ({ showAfter, hideAfter, open, close }: UseDelayedToggleProps) => {
    onOpen: () => void;
    onClose: () => void;
};
