const e = {
  /**
   * avatar size.
   */
  size: {
    type: [Number, String],
    default: ""
  },
  /**
   * avatar shape.
   */
  shape: {
    type: String,
    default: "circle"
  },
  /**
   * representation type to icon, more info on icon component.
   */
  icon: {
    type: Object
  },
  /**
   * the source of the image for an image avatar.
   */
  src: {
    type: String,
    default: ""
  },
  /**
   * native attribute `alt` of image avatar.
   */
  alt: String,
  /**
   * native attribute srcset of image avatar.
   */
  srcSet: String,
  /**
   * set how the image fit its container for an image avatar.
   * https://developer.mozilla.org/en-US/docs/Web/CSS/object-fit
   */
  fit: {
    type: String,
    default: "cover"
  }
}, r = {
  error: (t) => t instanceof Event
};
export {
  r as Emits,
  e as Props
};
