import { defineComponent as S, computed as d, reactive as T, watch as y, onBeforeMount as Y, openBlock as c, createElementBlock as i, normalizeClass as s, normalizeStyle as _, unref as o, createVNode as C, createElementVNode as m, toDisplayString as u, withCtx as A, createTextVNode as G, createCommentVNode as N, Fragment as w, renderList as V } from "vue";
import { Props as P, Emits as R } from "./index3.js";
import { useCalendar as j } from "./hooks/index.js";
import { isDate as q } from "../../../utils/lodash/index2.js";
import { FzSvgIcon as B } from "../../svg-icon/index.js";
import { FzButton as J } from "../../button/index.js";
import { CHANGE_EVENT as g } from "../../../constants/index.js";
import K from "../../../../fz-design-icon/src/icon-chevron-left/index.js";
import O from "../../../../fz-design-icon/src/icon-chevron-right/index.js";
import { useNamespace as Q } from "../../../hooks/index24.js";
const U = ["onClick"];
var ce = /* @__PURE__ */ S({
  name: "FzCalendar",
  __name: "calendar",
  props: P,
  emits: R,
  setup(D, { emit: p }) {
    const a = D, n = Q("calendar"), { generateCalendar: F } = j(a), v = d(() => q(a.date) ? a.date : /* @__PURE__ */ new Date()), e = T({
      year: v.value.getFullYear(),
      month: v.value.getMonth() + 1,
      date: v.value.getDate()
    }), M = d(() => F(e.year, e.month)), x = d(() => ["日", "一", "二", "三", "四", "五", "六"]), E = () => {
      e.month === 1 ? (e.year -= 1, e.month = 12) : e.month -= 1;
    }, L = () => {
      e.month === 12 ? (e.year += 1, e.month = 1) : e.month += 1;
    }, h = {
      prev: () => E(),
      next: () => L(),
      current: () => {
        e.year = a.date.getFullYear(), e.month = a.date.getMonth() + 1, e.date = a.date.getDate();
      }
    }, f = (l) => {
      h[l] && h[l]();
    }, b = (l) => {
      const { target: r, day: t } = l;
      r === "prev" && h[r](), r === "next" && h[r](), r === "current" && (e.date = t, p(g, e.year, e.month, e.date));
    }, z = y(
      () => e.month,
      /**
       * @param { number } month 最新的月份
       */
      (l) => {
        p(g, e.year, l, e.date);
      }
    ), H = y(
      () => e,
      () => {
        p(g, e.year, e.month, e.date);
      },
      { deep: !0 }
    );
    Y(() => {
      H(), z();
    });
    const $ = d(() => ({
      [n.cssVarBlockName("border-color")]: a.borderColor,
      [n.cssVarBlockName("day-cell-height")]: a.dayCellHeight,
      [n.cssVarBlockName("week-cell-height")]: a.weekCellHeight
    })), I = d(() => [n.b(), n.is("border", a.border)]);
    return (l, r) => (c(), i("div", {
      class: s(I.value),
      style: _($.value)
    }, [
      l.hiddenHeader ? N("", !0) : (c(), i("header", {
        key: 0,
        class: s(o(n).e("header"))
      }, [
        C(o(B), {
          icon: o(K),
          onClick: r[0] || (r[0] = (t) => f("prev"))
        }, null, 8, ["icon"]),
        m("div", {
          class: s(o(n).e("option"))
        }, [
          m("span", null, u(e.year), 1),
          m("span", null, u(e.month), 1),
          C(o(J), {
            type: "default",
            onClick: r[1] || (r[1] = (t) => f("current"))
          }, {
            default: A(() => [
              G("今天")
            ]),
            _: 1
          })
        ], 2),
        C(o(B), {
          icon: o(O),
          onClick: r[2] || (r[2] = (t) => f("next"))
        }, null, 8, ["icon"])
      ], 2)),
      m("div", {
        class: s(o(n).e("week"))
      }, [
        (c(!0), i(w, null, V(x.value, (t, k) => (c(), i("div", {
          key: k,
          class: s(o(n).e("week-item"))
        }, u(t), 3))), 128))
      ], 2),
      m("div", {
        class: s(o(n).e("day"))
      }, [
        (c(!0), i(w, null, V(M.value, (t, k) => (c(), i("div", {
          key: k,
          class: s([
            o(n).e("day-item"),
            o(n).is("day-current", t.target === "current"),
            o(n).is(
              "day-today",
              t.day === e.date && t.month === e.month && t.target === "current"
            )
          ]),
          onClick: (W) => b(t)
        }, [
          m("span", {
            class: s(o(n).e("solar"))
          }, u(t.day), 3),
          l.lunar ? (c(), i("span", {
            key: 0,
            class: s(o(n).e("lunar"))
          }, u(t.lunarFestival || t.festival || t.term || t.lunar), 3)) : N("", !0)
        ], 10, U))), 128))
      ], 2)
    ], 6));
  }
});
export {
  ce as default
};
