import { CHANGE_EVENT as t } from "../../../constants/index.js";
import { isNumber as r } from "../../../utils/lodash/index2.js";
const i = {
  /** 绑定日期 */
  date: {
    type: Date,
    default: () => /* @__PURE__ */ new Date(),
    required: !0
  },
  /** 是否显示农历或节日，仅支持 1900 ~ 2100 */
  lunar: {
    type: Boolean
  },
  /** 是否隐藏头部 */
  hiddenHeader: {
    type: Boolean,
    default: !1
  },
  /** 是否显示边框 */
  border: {
    type: Boolean
  },
  /** 自定义边框颜色 */
  borderColor: {
    type: String
  },
  /** 日期单元格高度 */
  dayCellHeight: {
    type: [Number, String]
  },
  /** 星期单元格高度 */
  weekCellHeight: {
    type: [Number, String]
  }
}, p = {
  [t]: (o, a, e) => r(e)
};
export {
  p as Emits,
  i as Props
};
