import { defineComponent as te, useSlots as ne, ref as d, reactive as w, computed as u, onMounted as ae, onBeforeUnmount as le, nextTick as se, createApp as oe, h as ie, openBlock as ue, createElementBlock as re, normalizeClass as R, unref as S, createElementVNode as ce, renderSlot as de } from "vue";
import { useModelWrapper as fe } from "./index3.js";
import { Props as ve, Emits as me } from "./index4.js";
import { throwError as he } from "../../../utils/console/index.js";
import { addClass as z, removeClass as I } from "../../../utils/util/index.js";
import { useNamespace as pe } from "../../../hooks/index24.js";
var ke = /* @__PURE__ */ te({
  name: "FzDanmaku",
  __name: "danmaku",
  props: ve,
  emits: me,
  setup(P, { expose: T, emit: y }) {
    const l = P, f = pe("danmaku"), D = ne(), v = f.e("cell"), A = f.is("move"), k = f.is("pause"), N = f.cssVarBlockName("scroll-width");
    let x = d(document.createElement("div")), s = d(document.createElement("div"));
    const m = d(0), $ = d(0);
    let E = 0;
    const B = d(0), W = d(0), c = d(0), p = d(!1), g = d({}), o = fe(l, y, "danmus"), i = w({
      channels: u(() => l.channels || B.value),
      autoplay: u(() => l.autoplay),
      loop: u(() => l.loop),
      useSlot: u(() => l.useSlot),
      debounce: u(() => l.debounce),
      randomChannel: u(() => l.randomChannel)
    }), r = w({
      height: u(() => W.value),
      fontSize: u(() => l.fontSize),
      speeds: u(() => l.speeds),
      top: u(() => l.top),
      right: u(() => l.right)
    });
    ae(() => {
      L();
    }), le(() => {
      M();
    });
    function L() {
      b(), l.isSuspend && G(), i.autoplay && H();
    }
    function b() {
      m.value = x.value.offsetWidth, $.value = x.value.offsetHeight, (m.value === 0 || $.value === 0) && he("FzDanmaku", "获取不到容器宽高");
    }
    function H() {
      p.value = !1, E || (E = setInterval(() => V(), i.debounce));
    }
    function V() {
      if (!p.value && o.value.length)
        if (c.value > o.value.length - 1) {
          const n = s.value.children.length;
          i.loop && (n < c.value && (y("list-end"), c.value = 0), _());
        } else
          _();
    }
    function _(n) {
      const a = i.loop ? c.value % o.value.length : c.value, e = n || o.value[a];
      let t = document.createElement("div");
      i.useSlot ? t = F(e, a).$el : (t.innerHTML = e, t.setAttribute("style", l.extraStyle), t.style.fontSize = `${r.fontSize}px`, t.style.lineHeight = `${r.fontSize}px`), z(t, v), s.value.appendChild(t), t.style.opacity = "0", se(() => {
        r.height || (W.value = t.offsetHeight), i.channels || (B.value = Math.floor(
          $.value / (r.height + r.top)
        ));
        let h = j(t);
        if (h >= 0) {
          const C = t.offsetWidth, ee = r.height;
          z(t, A), t.dataset.index = `${a}`, t.style.opacity = "1", t.style.top = h * (ee + r.top) + "px", t.style.width = C + r.right + "px", t.style.setProperty(N, `-${m.value + C}px`), t.style.left = `${m.value}px`, t.style.animationDuration = `${m.value / r.speeds}s`, t.addEventListener("animationend", () => {
            Number(t.dataset.index) === o.value.length - 1 && !i.loop && y("play-end", t.dataset.index), s.value && s.value.removeChild(t);
          }), c.value++;
        } else
          s.value.removeChild(t);
      });
    }
    function F(n, a) {
      return oe({
        // eslint-disable-next-line vue/component-api-style
        render() {
          return ie("div", {}, [
            D.dm && D.dm({
              danmu: n,
              index: a
            })
          ]);
        }
      }).mount(document.createElement("div"));
    }
    function j(n) {
      let a = [...Array(i.channels).keys()];
      i.randomChannel && (a = a.sort(() => 0.5 - Math.random()));
      for (let e of a) {
        const t = g.value[e];
        if (t && t.length)
          for (let h = 0; h < t.length; h++) {
            const C = U(t[h]) - 10;
            if (C <= (n.offsetWidth - t[h].offsetWidth) * 0.88 || C <= 0)
              break;
            if (h === t.length - 1)
              return g.value[e].push(n), n.addEventListener("animationend", () => g.value[e].splice(0, 1)), e % i.channels;
          }
        else
          return g.value[e] = [n], n.addEventListener("animationend", () => g.value[e].splice(0, 1)), e % i.channels;
      }
      return -1;
    }
    function U(n) {
      const a = n.offsetWidth || parseInt(n.style.width), e = n.getBoundingClientRect().right || s.value.getBoundingClientRect().right + a;
      return s.value.getBoundingClientRect().right - e;
    }
    function q() {
      clearInterval(E), E = 0;
    }
    function G() {
      let n = [];
      s.value.addEventListener("mouseover", (a) => {
        let e = a.target;
        e.className.includes(v) || (e = e.closest(`.${v}`) || e), e.className.includes(v) && (n.includes(e) || (y("dm-over", { el: e }), z(e, k), n.push(e)));
      }), s.value.addEventListener("mouseout", (a) => {
        let e = a.target;
        e.className.includes(v) || (e = e.closest(`.${v}`) || e), e.className.includes(v) && (y("dm-out", { el: e }), I(e, k), n.forEach((t) => {
          I(t, k);
        }), n = []);
      });
    }
    function M() {
      q(), c.value = 0;
    }
    function J() {
      W.value = 0, L();
    }
    function K() {
      g.value = {}, s.value.innerHTML = "", p.value = !0, M();
    }
    function O() {
      p.value = !0;
    }
    function Q(n) {
      if (c.value === o.value.length)
        return o.value.push(n), o.value.length - 1;
      {
        const a = c.value % o.value.length;
        return o.value.splice(a, 0, n), a + 1;
      }
    }
    function X(n) {
      return o.value.push(n), o.value.length - 1;
    }
    function Y() {
      return !p.value;
    }
    function Z() {
      b();
      const n = s.value.getElementsByClassName(v);
      for (let a = 0; a < n.length; a++) {
        const e = n[a];
        e.style.setProperty(
          N,
          `-${m.value + e.offsetWidth}px`
        ), e.style.left = `${m.value}px`, e.style.animationDuration = `${m.value / r.speeds}s`;
      }
    }
    return T({
      // element
      container: x,
      dmContainer: s,
      // variable
      paused: p,
      danmuList: o,
      // function
      getPlayState: Y,
      resize: Z,
      play: H,
      pause: O,
      stop: K,
      reset: J,
      add: Q,
      push: X,
      insert: _
    }), (n, a) => (ue(), re("div", {
      ref_key: "container",
      ref: x,
      class: R(S(f).b())
    }, [
      ce("div", {
        ref_key: "dmContainer",
        ref: s,
        class: R([S(f).e("container"), S(f).is("hidden", n.hidden), S(f).is("paused", p.value)])
      }, null, 2),
      de(n.$slots, "default")
    ], 2));
  }
});
export {
  ke as default
};
