import { defineComponent as ae, markRaw as A, ref as x, effectScope as se, shallowRef as re, computed as p, watch as D, nextTick as ie, onMounted as le, resolveComponent as ce, openBlock as h, createBlock as ue, Teleport as me, createVNode as d, Transition as fe, withCtx as de, createElementVNode as f, normalizeClass as m, unref as t, normalizeStyle as V, withModifiers as ve, createElementBlock as E, Fragment as Z, createCommentVNode as pe, renderList as ge, withDirectives as ke, vShow as be, renderSlot as Ie } from "vue";
import { useEventListener as N } from "../../../../../node_modules/.pnpm/registry.npmmirror.com_@vueuse_core@10.5.0_vue@3.3.4/node_modules/@vueuse/core/index.js";
import { Props as we, Emits as xe } from "./index3.js";
import ze from "../../../../fz-design-icon/src/icon-maximize/index.js";
import Ce from "../../../../fz-design-icon/src/icon-minimize/index.js";
import { useLocale as he } from "../../../hooks/index5.js";
import { useZIndex as Ne } from "../../../hooks/index10.js";
import Le from "../../../../fz-design-icon/src/icon-chevron-left/index.js";
import Te from "../../../../fz-design-icon/src/icon-chevron-right/index.js";
import Oe from "../../../../fz-design-icon/src/icon-zoom-out/index.js";
import Ee from "../../../../fz-design-icon/src/icon-zoom-in/index.js";
import ye from "../../../../fz-design-icon/src/icon-rotate-ccw/index.js";
import Re from "../../../../fz-design-icon/src/icon-rotate-cw/index.js";
import { throttle as y } from "../../../utils/lodash/index.js";
import { isNumber as Xe } from "../../../utils/lodash/index2.js";
import Me from "../../../../fz-design-icon/src/icon-x/index.js";
import { useNamespace as Ye } from "../../../hooks/index24.js";
import { EVENT_CODE as I } from "../../../constants/index.js";
const $e = ["src"];
var en = /* @__PURE__ */ ae({
  name: "FzImagePreview",
  __name: "image-preview",
  props: we,
  emits: xe,
  setup(H, { expose: P, emit: z }) {
    const l = H, w = {
      CONTAIN: {
        name: "contain",
        icon: A(ze)
      },
      ORIGINAL: {
        name: "original",
        icon: A(Ce)
      }
    }, { t: B } = he(), a = Ye("image-preview"), { nextZIndex: j } = Ne(), L = x(), R = x([]), X = se(), k = x(!0), v = x(l.initialIndex), C = re(w.CONTAIN), s = x({
      scale: 1,
      deg: 0,
      offsetX: 0,
      offsetY: 0,
      enableTransition: !1
    }), K = p(() => {
      const { urlList: e } = l;
      return e.length <= 1;
    }), M = p(() => v.value === 0), Y = p(() => v.value === l.urlList.length - 1), G = p(() => l.urlList[v.value]), W = p(() => [
      a.e("btn"),
      a.e("prev"),
      a.is("disabled", !l.infinite && M.value)
    ]), q = p(() => [
      a.e("btn"),
      a.e("next"),
      a.is("disabled", !l.infinite && Y.value)
    ]), J = p(() => {
      const { scale: e, deg: n, offsetX: o, offsetY: r, enableTransition: c } = s.value;
      let i = o / e, u = r / e;
      switch (n % 360) {
        case 90:
        case -270:
          [i, u] = [u, -i];
          break;
        case 180:
        case -180:
          [i, u] = [-i, -u];
          break;
        case 270:
        case -90:
          [i, u] = [-u, i];
          break;
      }
      const b = {
        transform: `scale(${e}) rotate(${n}deg) translate(${i}px, ${u}px)`,
        transition: c ? "transform .3s" : ""
      };
      return C.value.name === w.CONTAIN.name && (b.maxWidth = b.maxHeight = "100%"), b;
    }), Q = p(() => Xe(l.zIndex) ? l.zIndex : j());
    function T() {
      ee(), z("close");
    }
    function U() {
      const e = y((o) => {
        switch (o.code) {
          case I.esc:
            l.closeOnPressEscape && T();
            break;
          case I.space:
            S();
            break;
          case I.left:
            _();
            break;
          case I.up:
            g("zoomIn");
            break;
          case I.right:
            F();
            break;
          case I.down:
            g("zoomOut");
            break;
        }
      }, 0), n = y((o) => {
        const r = o.deltaY || o.deltaX;
        g(r < 0 ? "zoomIn" : "zoomOut", {
          zoomRate: l.zoomRate,
          enableTransition: !1
        });
      }, 0);
      X.run(() => {
        N(document, "keydown", e), N(document, "wheel", n);
      });
    }
    function ee() {
      X.stop();
    }
    function ne() {
      k.value = !1;
    }
    function oe(e) {
      k.value = !1, e.target.alt = B("fz.image.error");
    }
    function te(e) {
      if (k.value || e.button !== 0 || !L.value)
        return;
      s.value.enableTransition = !1;
      const { offsetX: n, offsetY: o } = s.value, r = e.pageX, c = e.pageY, i = y((b) => {
        s.value = {
          ...s.value,
          offsetX: n + b.pageX - r,
          offsetY: o + b.pageY - c
        };
      }, 0), u = N(document, "mousemove", i);
      N(document, "mouseup", () => {
        u();
      }), e.preventDefault();
    }
    function $() {
      s.value = {
        scale: 1,
        deg: 0,
        offsetX: 0,
        offsetY: 0,
        enableTransition: !1
      };
    }
    function S() {
      if (k.value)
        return;
      const e = Object.keys(w), n = Object.values(w), o = C.value.name, c = (n.findIndex((i) => i.name === o) + 1) % e.length;
      C.value = w[e[c]], $();
    }
    function O(e) {
      const n = l.urlList.length;
      v.value = (e + n) % n;
    }
    function _() {
      M.value && !l.infinite || O(v.value - 1);
    }
    function F() {
      Y.value && !l.infinite || O(v.value + 1);
    }
    function g(e, n = {}) {
      if (k.value)
        return;
      const { minScale: o, maxScale: r } = l, { zoomRate: c, rotateDeg: i, enableTransition: u } = {
        zoomRate: l.zoomRate,
        rotateDeg: 90,
        enableTransition: !0,
        ...n
      };
      switch (e) {
        case "zoomOut":
          s.value.scale > o && (s.value.scale = Number.parseFloat(
            (s.value.scale / c).toFixed(3)
          ));
          break;
        case "zoomIn":
          s.value.scale < r && (s.value.scale = Number.parseFloat(
            (s.value.scale * c).toFixed(3)
          ));
          break;
        case "clockwise":
          s.value.deg += i, z("rotate", s.value.deg);
          break;
        case "anticlockwise":
          s.value.deg -= i, z("rotate", s.value.deg);
          break;
      }
      s.value.enableTransition = u;
    }
    return D(G, () => {
      ie(() => {
        const e = R.value[0];
        e != null && e.complete || (k.value = !0);
      });
    }), D(v, (e) => {
      $(), z("switch", e);
    }), le(() => {
      var e, n;
      U(), (n = (e = L.value) == null ? void 0 : e.focus) == null || n.call(e);
    }), P({
      /**
       * @description manually switch image
       */
      setActiveItem: O
    }), (e, n) => {
      const o = ce("fz-svg-icon");
      return h(), ue(me, {
        to: "body",
        disabled: !e.teleported
      }, [
        d(fe, {
          name: "viewer-fade",
          appear: ""
        }, {
          default: de(() => [
            f("div", {
              ref_key: "wrapper",
              ref: L,
              tabindex: -1,
              class: m(t(a).e("wrapper")),
              style: V({ zIndex: Q.value })
            }, [
              f("div", {
                class: m(t(a).e("mask")),
                onClick: n[0] || (n[0] = ve((r) => e.hideOnClickModal && T(), ["self"]))
              }, null, 2),
              f("span", {
                class: m([t(a).e("btn"), t(a).e("close")]),
                onClick: T
              }, [
                d(o, { icon: t(Me) }, null, 8, ["icon"])
              ], 2),
              K.value ? pe("", !0) : (h(), E(Z, { key: 0 }, [
                f("span", {
                  class: m(W.value),
                  onClick: _
                }, [
                  d(o, { icon: t(Le) }, null, 8, ["icon"])
                ], 2),
                f("span", {
                  class: m(q.value),
                  onClick: F
                }, [
                  d(o, { icon: t(Te) }, null, 8, ["icon"])
                ], 2)
              ], 64)),
              f("div", {
                class: m([t(a).e("btn"), t(a).e("actions")])
              }, [
                f("div", {
                  class: m(t(a).e("actions__inner"))
                }, [
                  d(o, {
                    icon: t(Oe),
                    onClick: n[1] || (n[1] = (r) => g("zoomOut"))
                  }, null, 8, ["icon"]),
                  d(o, {
                    icon: t(Ee),
                    onClick: n[2] || (n[2] = (r) => g("zoomIn"))
                  }, null, 8, ["icon"]),
                  f("i", {
                    class: m(t(a).e("actions__divider"))
                  }, null, 2),
                  d(o, {
                    icon: C.value.icon,
                    onClick: S
                  }, null, 8, ["icon"]),
                  f("i", {
                    class: m(t(a).e("actions__divider"))
                  }, null, 2),
                  d(o, {
                    icon: t(ye),
                    onClick: n[3] || (n[3] = (r) => g("anticlockwise"))
                  }, null, 8, ["icon"]),
                  d(o, {
                    icon: t(Re),
                    onClick: n[4] || (n[4] = (r) => g("clockwise"))
                  }, null, 8, ["icon"])
                ], 2)
              ], 2),
              f("div", {
                class: m(t(a).e("canvas"))
              }, [
                (h(!0), E(Z, null, ge(e.urlList, (r, c) => ke((h(), E("img", {
                  ref_for: !0,
                  ref: (i) => R.value[c] = i,
                  key: r,
                  src: r,
                  style: V(J.value),
                  class: m(t(a).e("img")),
                  onLoad: ne,
                  onError: oe,
                  onMousedown: te
                }, null, 46, $e)), [
                  [be, c === v.value]
                ])), 128))
              ], 2),
              Ie(e.$slots, "default")
            ], 6)
          ]),
          _: 3
        })
      ], 8, ["disabled"]);
    };
  }
});
export {
  en as default
};
