import { Props as e } from "../../radio/src/index3.js";
const r = {
  /** 绑定值 */
  modelValue: {
    type: [String, Number, Boolean],
    default: () => null
  },
  /** 是否纵向排列 */
  vertical: {
    type: Boolean
  },
  /** 横向排列的间距 */
  columnGap: {
    type: [String, Number]
  },
  /** 纵向排列的间距 */
  rowGap: {
    type: [String, Number]
  },
  /** 背景状态 */
  background: {
    type: Boolean
  },
  /** 尺寸 */
  size: e.size,
  /** 是否禁用 */
  disabled: e.disabled
};
export {
  r as Props
};
