import { defineComponent as z, mergeModels as b, useModel as C, inject as D, computed as d, openBlock as p, createElementBlock as f, normalizeClass as r, withDirectives as S, createElementVNode as v, vModelRadio as B, unref as u, createCommentVNode as R, renderSlot as _, createTextVNode as F, toDisplayString as M } from "vue";
import { Props as P } from "./index3.js";
import { FZ_RADIO_GROUP_INJECT_KEY as T } from "../../../constants/index2.js";
import { isNil as w } from "../../../utils/lodash/index2.js";
import { CHANGE_EVENT as V } from "../../../constants/index.js";
import { useFormSize as A } from "../../form/src/hooks/index.js";
import { useNamespace as G } from "../../../hooks/index24.js";
const O = ["value", "disabled", "name"];
var $ = /* @__PURE__ */ z({
  name: "FzRadio",
  __name: "radio",
  props: b(P, {
    modelValue: { type: Boolean, default: null, type: [String, Number, Boolean] }
  }),
  emits: b([V], ["update:modelValue"]),
  setup(t, { emit: k }) {
    const a = t, N = C(t, "modelValue"), e = D(
      T,
      null
    ), o = G("radio"), g = A((e == null ? void 0 : e.size) || a.size), i = d({
      get: () => e ? w(e.modelValue) ? a.modelValue : e.modelValue : a.modelValue,
      set: (l) => {
        var s;
        if (e && !m.value) {
          (s = e == null ? void 0 : e.changeEvent) == null || s.call(e, l);
          return;
        }
        n.value || (N.value = l, k(V, l));
      }
    }), E = d(() => i.value === a.label), m = d(
      () => !!(e && e.disabled)
    ), n = d(() => a.disabled || m.value), h = d(() => [
      o.b(),
      o.m(g.value),
      o.is("disabled", n.value),
      o.is("checked", E.value),
      o.is("background", !!(e != null && e.background))
    ]);
    return (l, s) => {
      var c;
      return p(), f("label", {
        role: "radio",
        "aria-checked": "false",
        tabindex: "0",
        class: r(h.value)
      }, [
        S(v("input", {
          "onUpdate:modelValue": s[0] || (s[0] = (y) => i.value = y),
          hidden: "",
          type: "radio",
          value: l.label,
          disabled: l.disabled,
          name: l.name
        }, null, 8, O), [
          [B, i.value]
        ]),
        (c = u(e)) != null && c.background ? R("", !0) : (p(), f("span", {
          key: 0,
          class: r(u(o).e("circle"))
        }, null, 2)),
        v("span", {
          class: r(u(o).e("text"))
        }, [
          _(l.$slots, "default", {}, () => [
            F(M(l.label), 1)
          ])
        ], 2)
      ], 2);
    };
  }
});
export {
  $ as default
};
