import { defineComponent as U, ref as a, computed as p, watch as C, nextTick as H, provide as V, reactive as j, onMounted as D, onUpdated as F, openBlock as d, createElementBlock as G, createElementVNode as X, normalizeClass as T, normalizeStyle as E, createBlock as x, resolveDynamicComponent as Y, withCtx as q, renderSlot as I, createCommentVNode as J } from "vue";
import { useResizeObserver as Q, useEventListener as Z } from "../../../../../node_modules/.pnpm/registry.npmmirror.com_@vueuse_core@10.5.0_vue@3.3.4/node_modules/@vueuse/core/index.js";
import { GAP as f } from "./utils/index.js";
import { scrollbarContextKey as ee } from "./utils/index2.js";
import le from "./components/index.js";
import { Props as re, Emits as te } from "./index3.js";
import { addUnit as R } from "../../../utils/util/index.js";
import { isObject as ae, isNumber as u } from "../../../utils/lodash/index2.js";
import { warning as N } from "../../../utils/console/index.js";
const b = "FzScrollbar";
var he = /* @__PURE__ */ U({
  name: b,
  __name: "scrollbar",
  props: re,
  emits: te,
  setup(L, { expose: M, emit: W }) {
    const r = L;
    let i, s;
    const w = a(), l = a(), y = a(), g = a("0"), z = a("0"), m = a(), S = a(1), _ = a(1), O = p(() => {
      const e = {};
      return r.height && (e.height = R(r.height)), r.maxHeight && (e.maxHeight = R(r.maxHeight)), [r.wrapStyle, e];
    }), $ = p(() => [
      r.wrapClass,
      "fz-scrollbar__wrap",
      {
        "fz-scrollbar__wrap--hidden-default": !r.native
      }
    ]), B = p(() => ["fz-scrollbar__view", r.viewClass]), k = () => {
      var e;
      l.value && ((e = m.value) == null || e.handleScroll(l.value), W("scroll", {
        scrollTop: l.value.scrollTop,
        scrollLeft: l.value.scrollLeft
      }));
    };
    function K(e, t) {
      l.value && (ae(e) ? l.value.scrollTo(e) : u(e) && u(t) && l.value.scrollTo(e, t));
    }
    const P = (e) => {
      if (!u(e)) {
        N(b, "value must be a number");
        return;
      }
      l.value.scrollTop = e;
    }, A = (e) => {
      if (!u(e)) {
        N(b, "value must be a number");
        return;
      }
      l.value.scrollLeft = e;
    }, o = () => {
      if (!l.value)
        return;
      const e = l.value.offsetHeight - f, t = l.value.offsetWidth - f, v = e ** 2 / l.value.scrollHeight, h = t ** 2 / l.value.scrollWidth, n = Math.max(v, r.minSize), c = Math.max(h, r.minSize);
      S.value = v / (e - v) / (n / (e - n)), _.value = h / (t - h) / (c / (t - c)), z.value = n + f < e ? `${n}px` : "", g.value = c + f < t ? `${c}px` : "";
    };
    return C(
      () => r.noresize,
      (e) => {
        e ? (i == null || i(), s == null || s()) : ({ stop: i } = Q(y, o), s = Z("resize", o));
      },
      { immediate: !0 }
    ), C(
      () => [r.maxHeight, r.height],
      () => {
        r.native || H(() => {
          var e;
          o(), l.value && ((e = m.value) == null || e.handleScroll(l.value));
        });
      }
    ), V(
      ee,
      j({
        // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
        scrollbarElement: w,
        // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
        wrapElement: l
      })
    ), D(() => {
      r.native || H(() => {
        o();
      });
    }), F(() => o()), M({
      /** @description scrollbar wrap ref */
      wrapRef: l,
      /** @description update scrollbar state manually */
      update: o,
      /** @description scrolls to a particular set of coordinates */
      scrollTo: K,
      /** @description set distance to scroll top */
      setScrollTop: P,
      /** @description set distance to scroll left */
      setScrollLeft: A,
      /** @description handle scroll event */
      handleScroll: k
    }), (e, t) => (d(), G("div", {
      ref_key: "scrollbarRef",
      ref: w,
      class: "fz-scrollbar"
    }, [
      X("div", {
        ref_key: "wrapRef",
        ref: l,
        class: T($.value),
        style: E(O.value),
        onScroll: k
      }, [
        (d(), x(Y(e.tag), {
          id: e.id,
          ref_key: "resizeRef",
          ref: y,
          class: T(B.value),
          style: E(e.viewStyle),
          role: e.role,
          "aria-label": e.ariaLabel,
          "aria-orientation": e.ariaOrientation
        }, {
          default: q(() => [
            I(e.$slots, "default")
          ]),
          _: 3
        }, 8, ["id", "class", "style", "role", "aria-label", "aria-orientation"]))
      ], 38),
      e.native ? J("", !0) : (d(), x(le, {
        key: 0,
        ref_key: "barRef",
        ref: m,
        height: z.value,
        width: g.value,
        always: e.always,
        "ratio-x": _.value,
        "ratio-y": S.value
      }, null, 8, ["height", "width", "always", "ratio-x", "ratio-y"]))
    ], 512));
  }
});
export {
  he as default
};
