const t = {
  /**
   *  type of Tag
   */
  type: {
    type: String
  },
  /**
   *  size of Tag
   */
  size: {
    type: String,
    default: ""
  },
  /**
   *  theme of Tag
   */
  effect: {
    type: String,
    default: "light"
  },
  /**
   *  whether Tag can be removed
   */
  closable: Boolean,
  /**
   *  whether to disable animations
   */
  disableTransitions: Boolean,
  /**
   *  whether Tag has a highlighted border
   */
  hit: Boolean,
  /**
   *  background color of the Tag
   */
  color: {
    type: String,
    default: ""
  },
  /**
   *  whether Tag is rounded
   */
  round: Boolean
}, o = {
  close: (e) => e instanceof MouseEvent,
  click: (e) => e instanceof MouseEvent
};
export {
  o as Emits,
  t as Props
};
