import { defineComponent as P, computed as r, shallowRef as M, ref as O, onMounted as H, watch as L, onBeforeUnmount as X, openBlock as Y, createElementBlock as D, normalizeStyle as G, renderSlot as N } from "vue";
import { useMutationObserver as U } from "../../../../../node_modules/.pnpm/registry.npmmirror.com_@vueuse_core@10.5.0_vue@3.3.4/node_modules/@vueuse/core/index.js";
import { Props as j } from "./index3.js";
import { reRendering as q, getStyleStr as J, getPixelRatio as K } from "./index4.js";
import Q, { FontGap as V } from "./index5.js";
var re = /* @__PURE__ */ P({
  name: "FzWatermark",
  __name: "watermark",
  props: j,
  setup($) {
    const t = $, z = {
      position: "relative"
    }, W = r(() => {
      var e;
      return ((e = t.font) == null ? void 0 : e.color) ?? "rgba(0,0,0,.15)";
    }), h = r(() => {
      var e;
      return ((e = t.font) == null ? void 0 : e.fontSize) ?? 16;
    }), C = r(() => {
      var e;
      return ((e = t.font) == null ? void 0 : e.fontWeight) ?? "normal";
    }), B = r(() => {
      var e;
      return ((e = t.font) == null ? void 0 : e.fontStyle) ?? "normal";
    }), x = r(() => {
      var e;
      return ((e = t.font) == null ? void 0 : e.fontFamily) ?? "sans-serif";
    }), y = r(() => t.gap[0]), k = r(() => t.gap[1]), S = r(() => y.value / 2), b = r(() => k.value / 2), R = r(() => {
      var e;
      return ((e = t.offset) == null ? void 0 : e[0]) ?? S.value;
    }), _ = r(() => {
      var e;
      return ((e = t.offset) == null ? void 0 : e[1]) ?? b.value;
    }), E = () => {
      const e = {
        zIndex: t.zIndex,
        position: "absolute",
        left: 0,
        top: 0,
        width: "100%",
        height: "100%",
        pointerEvents: "none",
        backgroundRepeat: "repeat"
      };
      let o = R.value - S.value, n = _.value - b.value;
      return o > 0 && (e.left = `${o}px`, e.width = `calc(100% - ${o}px)`, o = 0), n > 0 && (e.top = `${n}px`, e.height = `calc(100% - ${n}px)`, n = 0), e.backgroundPosition = `${o}px ${n}px`, e;
    }, f = M(null), s = M(), p = O(!1), w = () => {
      s.value && (s.value.remove(), s.value = void 0);
    }, F = (e, o) => {
      var n;
      f.value && s.value && (p.value = !0, s.value.setAttribute(
        "style",
        J({
          ...E(),
          backgroundImage: `url('${e}')`,
          backgroundSize: `${Math.floor(o)}px`
        })
      ), (n = f.value) == null || n.append(s.value), setTimeout(() => {
        p.value = !1;
      }));
    }, T = (e) => {
      let o = 120, n = 64;
      const m = t.image, i = t.content, g = t.width, d = t.height;
      if (!m && e.measureText) {
        e.font = `${Number(h.value)}px ${x.value}`;
        const c = Array.isArray(i) ? i : [i], l = c.map((a) => {
          const u = e.measureText(a);
          return [
            u.width,
            u.fontBoundingBoxAscent + u.fontBoundingBoxDescent
          ];
        });
        o = Math.ceil(Math.max(...l.map((a) => a[0]))), n = Math.ceil(Math.max(...l.map((a) => a[1]))) * c.length + (c.length - 1) * V;
      }
      return [g ?? o, d ?? n];
    }, A = Q(), v = () => {
      const o = document.createElement("canvas").getContext("2d"), n = t.image, m = t.content, i = t.rotate;
      if (o) {
        s.value || (s.value = document.createElement("div"));
        const g = K(), [d, c] = T(o), l = (a) => {
          const [u, I] = A(
            a || "",
            i,
            g,
            d,
            c,
            {
              color: W.value,
              fontSize: h.value,
              fontStyle: B.value,
              fontWeight: C.value,
              fontFamily: x.value
            },
            y.value,
            k.value
          );
          F(u, I);
        };
        if (n) {
          const a = new Image();
          a.onload = () => {
            l(a);
          }, a.onerror = () => {
            l(m);
          }, a.crossOrigin = "anonymous", a.referrerPolicy = "no-referrer", a.src = n;
        } else
          l(m);
      }
    };
    return H(() => {
      v();
    }), L(
      () => t,
      () => {
        v();
      },
      {
        deep: !0,
        flush: "post"
      }
    ), X(() => {
      w();
    }), U(f, (e) => {
      p.value || e.forEach((o) => {
        q(o, s.value) && (w(), v());
      });
    }, {
      attributes: !0
    }), (e, o) => (Y(), D("div", {
      ref_key: "containerRef",
      ref: f,
      style: G([z])
    }, [
      N(e.$slots, "default")
    ], 4));
  }
});
export {
  re as default
};
