import { isString as p, isNumber as h, isClient as i } from "../lodash/index2.js";
import { camelize as x } from "../lodash/index3.js";
import { warning as g } from "../console/index.js";
const l = (t) => (t || "").split(" ").filter((o) => !!o.trim()), A = (t, o, e, s = !1) => {
  t && o && e && (t == null || t.addEventListener(o, e, s));
}, L = (t, o, e, s = !1) => {
  t && o && e && (t == null || t.removeEventListener(o, e, s));
}, v = (t) => t.stopPropagation();
function B(t, o = "px") {
  return t ? p(t) ? t : h(t) ? `${t}${o}` : (g("addUnit", "binding value must be a string or number"), "") : "";
}
const b = (t, o) => {
  var e;
  if (!i || !t || !o)
    return "";
  o = x(o), o === "float" && (o = "cssFloat");
  try {
    const s = t.style[o];
    if (s)
      return s;
    const n = (e = document.defaultView) == null ? void 0 : e.getComputedStyle(t, "");
    return n ? n[o] : "";
  } catch {
    return t.style[o];
  }
}, w = (t, o) => {
  if (!i)
    return !1;
  const e = {
    undefined: "overflow",
    true: "overflow-y",
    false: "overflow-x"
  }[String(o)], s = b(t, e);
  return ["scroll", "auto", "overlay"].some((n) => s.includes(n));
}, P = (t, o) => {
  if (!i)
    return;
  let e = t;
  for (; e; ) {
    if ([window, document, document.documentElement].includes(e))
      return document.documentElement;
    if (w(e, o))
      return e;
    e = e.parentNode;
  }
  return e;
}, R = (t, o) => {
  if (!t || !o)
    return !1;
  if (o.includes(" "))
    throw new Error("className should not contain space.");
  return t.classList.contains(o);
};
function I(t, o) {
  if (!t)
    return;
  let e = t.getAttribute("class") || "";
  const s = l(e), n = (o || "").split(" ").filter((r) => !s.includes(r) && !!r.trim());
  t.classList ? t.classList.add(...n) : (e += ` ${n.join(" ")}`, t.setAttribute("class", e));
}
function U(t, o) {
  if (!t || !o)
    return;
  const e = l(o);
  let s = t.getAttribute("class") || "";
  if (t.classList) {
    t.classList.remove(...e);
    return;
  }
  e.forEach((r) => {
    s = s.replace(` ${r} `, " ");
  });
  const n = l(s).join(" ");
  t.setAttribute("class", n);
}
const W = (t, o, { checkForDefaultPrevented: e = !0 } = {}) => (n) => {
  const r = t == null ? void 0 : t(n);
  if (e === !1 || !r)
    return o == null ? void 0 : o(n);
};
function N(t, o) {
  if (!i)
    return;
  if (!o) {
    t.scrollTop = 0;
    return;
  }
  const e = [];
  let s = o.offsetParent;
  for (; s !== null && t !== s && t.contains(s); )
    e.push(s), s = s.offsetParent;
  const n = o.offsetTop + e.reduce((a, d) => a + d.offsetTop, 0), r = n + o.offsetHeight, u = t.scrollTop, f = u + t.clientHeight;
  n < u ? t.scrollTop = n : r > f && (t.scrollTop = r - t.clientHeight);
}
let c;
const X = () => {
  var n;
  if (!i)
    return 0;
  if (c !== void 0)
    return c;
  const t = document.createElement("div");
  t.className = "el-scrollbar__wrap", t.style.visibility = "hidden", t.style.width = "100px", t.style.position = "absolute", t.style.top = "-9999px", document.body.appendChild(t);
  const o = t.offsetWidth;
  t.style.overflow = "scroll";
  const e = document.createElement("div");
  e.style.width = "100%", t.appendChild(e);
  const s = e.offsetWidth;
  return (n = t.parentNode) == null || n.removeChild(t), c = o - s, c;
}, E = (t) => getComputedStyle(t).position === "fixed" ? !1 : t.offsetParent !== null, m = (t) => {
  if (t.tabIndex > 0 || t.tabIndex === 0 && t.getAttribute("tabIndex") !== null)
    return !0;
  if (t.disabled)
    return !1;
  switch (t.nodeName) {
    case "A":
      return !!t.href && t.rel !== "ignore";
    case "INPUT":
      return !(t.type === "hidden" || t.type === "file");
    case "BUTTON":
    case "SELECT":
    case "TEXTAREA":
      return !0;
    default:
      return !1;
  }
}, y = 'a[href],button:not([disabled]),button:not([hidden]),:not([tabindex="-1"]),input:not([disabled]),input:not([type="hidden"]),select:not([disabled]),textarea:not([disabled])', O = (t) => Array.from(
  t.querySelectorAll(y)
).filter((o) => m(o) && E(o)), Y = (t) => {
  let o, e;
  return t.type === "touchend" ? (e = t.changedTouches[0].clientY, o = t.changedTouches[0].clientX) : t.type.startsWith("touch") ? (e = t.touches[0].clientY, o = t.touches[0].clientX) : (e = t.clientY, o = t.clientX), {
    clientX: o,
    clientY: e
  };
}, F = (t, o) => {
  if (!i || !t || !o)
    return !1;
  const e = t.getBoundingClientRect();
  let s;
  return o instanceof Element ? s = o.getBoundingClientRect() : s = {
    top: 0,
    right: window.innerWidth,
    bottom: window.innerHeight,
    left: 0
  }, e.top < s.bottom && e.bottom > s.top && e.right > s.left && e.left < s.right;
}, _ = () => {
}, $ = () => {
  let t = (/* @__PURE__ */ new Date()).getTime();
  return "xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx".replace(/[xy]/g, (e) => {
    const s = (t + Math.random() * 16) % 16 | 0;
    return t = Math.floor(t / 16), (e === "x" ? s : s & 3 | 8).toString(16);
  });
};
export {
  _ as NOOP,
  I as addClass,
  B as addUnit,
  W as composeEventHandlers,
  $ as generateUUID,
  Y as getClientXY,
  X as getScrollBarWidth,
  P as getScrollContainer,
  b as getStyle,
  R as hasClass,
  m as isFocusable,
  F as isInContainer,
  w as isScroll,
  E as isVisible,
  O as obtainAllFocusableElements,
  L as off,
  A as on,
  U as removeClass,
  N as scrollIntoView,
  v as stop
};
