import type { ExtractPropTypes, PropType } from 'vue';
import type { ButtonNative, ButtonType } from './interface';
import type { ComponentSize, IconSlotType } from '../../../types';
export declare const Props: {
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "";
    };
    readonly type: {
        readonly type: PropType<ButtonType>;
        readonly default: "";
    };
    readonly text: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly nativeType: {
        readonly type: PropType<ButtonNative>;
        readonly default: "button";
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly icon: {
        readonly type: PropType<IconSlotType>;
        readonly default: "";
    };
    readonly loading: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly plain: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly round: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly circle: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
};
/** button 组件 props 类型 */
export type ButtonProps = ExtractPropTypes<typeof Props>;
