import type { ExtractPropTypes, PropType, StyleValue } from 'vue';
import type { CardShadow } from './interface';
export declare const Props: {
    readonly header: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly bodyStyle: {
        readonly type: PropType<StyleValue>;
        readonly default: "";
    };
    readonly shadow: {
        readonly type: PropType<CardShadow>;
        readonly default: "hover";
    };
};
export type CardProps = ExtractPropTypes<typeof Props>;
