import type { ComponentSize } from '../../..';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { CheckboxModelValue, CheckboxLabel } from './interface';
declare const _sfc_main: DefineComponent<{
    readonly modelValue: {
        readonly type: PropType<CheckboxModelValue>;
        readonly default: () => boolean;
    };
    readonly label: {
        readonly type: PropType<CheckboxLabel>;
        readonly default: () => null;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
    };
    readonly border: {
        readonly type: BooleanConstructor;
    };
    readonly showLabel: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "change"[], "change", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly modelValue: {
        readonly type: PropType<CheckboxModelValue>;
        readonly default: () => boolean;
    };
    readonly label: {
        readonly type: PropType<CheckboxLabel>;
        readonly default: () => null;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
    };
    readonly border: {
        readonly type: BooleanConstructor;
    };
    readonly showLabel: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    readonly disabled: boolean;
    readonly modelValue: CheckboxModelValue;
    readonly label: CheckboxLabel;
    readonly border: boolean;
    readonly showLabel: boolean;
}, {}>;
export default _sfc_main;
