import type { DefineComponent, PropType, ComputedRef, CSSProperties, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import Divider from "./src/divider";
export declare const FzDivider: Install<DefineComponent<{
    readonly direction: {
        readonly type: PropType<"horizontal" | "vertical">;
        readonly default: "horizontal";
    };
    readonly contentPosition: {
        readonly type: PropType<"left" | "center" | "right">;
        readonly default: "center";
    };
    readonly borderStyle: {
        readonly type: PropType<string>;
        readonly default: "solid";
    };
}, {
    dividerStyle: ComputedRef<CSSProperties>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly direction: {
        readonly type: PropType<"horizontal" | "vertical">;
        readonly default: "horizontal";
    };
    readonly contentPosition: {
        readonly type: PropType<"left" | "center" | "right">;
        readonly default: "center";
    };
    readonly borderStyle: {
        readonly type: PropType<string>;
        readonly default: "solid";
    };
}>>, {
    readonly borderStyle: string;
    readonly direction: "horizontal" | "vertical";
    readonly contentPosition: "left" | "center" | "right";
}, {}>>;
export type DividerInstance = InstanceType<typeof Divider>;
export * from './src/interface';
export default FzDivider;
