import type { ExtractPropTypes, PropType } from 'vue';
export declare const Props: {
    readonly direction: {
        readonly type: PropType<"horizontal" | "vertical">;
        readonly default: "horizontal";
    };
    readonly contentPosition: {
        readonly type: PropType<"left" | "center" | "right">;
        readonly default: "center";
    };
    readonly borderStyle: {
        readonly type: PropType<string>;
        readonly default: "solid";
    };
};
export type DividerProps = ExtractPropTypes<typeof Props>;
