import type { ComponentSize } from '../..';
import type { RadioModelValue } from './src/interface';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import Radio from "./src/radio";
export declare const FzRadio: Install<DefineComponent<{
    readonly modelValue: {
        readonly type: PropType<RadioModelValue>;
        readonly default: () => null;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
    };
    readonly name: {
        readonly type: StringConstructor;
    };
    readonly label: {
        readonly type: PropType<RadioModelValue>;
        readonly default: null;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "change"[], "change", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly modelValue: {
        readonly type: PropType<RadioModelValue>;
        readonly default: () => null;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
    };
    readonly name: {
        readonly type: StringConstructor;
    };
    readonly label: {
        readonly type: PropType<RadioModelValue>;
        readonly default: null;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    readonly disabled: boolean;
    readonly modelValue: RadioModelValue;
    readonly label: RadioModelValue;
}, {}>>;
export type RadioInstance = InstanceType<typeof Radio>;
export * from './src/interface';
export default FzRadio;
