import type { RowJustify, RowAlign } from './src/interface';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import Row from "./src/row";
export declare const FzRow: Install<DefineComponent<{
    readonly tag: {
        readonly type: StringConstructor;
        readonly default: "div";
    };
    readonly gutter: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly justify: {
        readonly type: PropType<RowJustify>;
        readonly default: "start";
    };
    readonly align: {
        readonly type: PropType<RowAlign>;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly tag: {
        readonly type: StringConstructor;
        readonly default: "div";
    };
    readonly gutter: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly justify: {
        readonly type: PropType<RowJustify>;
        readonly default: "start";
    };
    readonly align: {
        readonly type: PropType<RowAlign>;
    };
}>>, {
    readonly tag: string;
    readonly gutter: number;
    readonly justify: RowJustify;
}, {}>>;
export type RowInstance = InstanceType<typeof Row>;
export * from './src/interface';
export default FzRow;
