import type { Arrayable } from '../../..';
import type { DefineComponent, PropType, VNodeChild, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes, StyleValue } from 'vue';
declare const _sfc_main: DefineComponent<{
    readonly direction: {
        readonly type: PropType<"horizontal" | "vertical">;
        readonly default: "horizontal";
    };
    readonly class: {
        readonly type: PropType<Arrayable<string | Record<string, boolean>>>;
        readonly default: "";
    };
    readonly style: {
        readonly type: PropType<StyleValue>;
        readonly default: "";
    };
    readonly alignment: {
        readonly type: StringConstructor;
        readonly default: "center";
    };
    readonly prefixCls: {
        readonly type: StringConstructor;
    };
    readonly spacer: {
        readonly type: PropType<VNodeChild>;
        readonly default: null;
        readonly validator: (val: unknown) => boolean;
    };
    readonly wrap: BooleanConstructor;
    readonly fill: BooleanConstructor;
    readonly fillRatio: {
        readonly type: NumberConstructor;
        readonly default: 100;
    };
    readonly size: {
        readonly type: PropType<Arrayable<number>>;
        readonly validator: (val: unknown) => val is number | [number, number];
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly direction: {
        readonly type: PropType<"horizontal" | "vertical">;
        readonly default: "horizontal";
    };
    readonly class: {
        readonly type: PropType<Arrayable<string | Record<string, boolean>>>;
        readonly default: "";
    };
    readonly style: {
        readonly type: PropType<StyleValue>;
        readonly default: "";
    };
    readonly alignment: {
        readonly type: StringConstructor;
        readonly default: "center";
    };
    readonly prefixCls: {
        readonly type: StringConstructor;
    };
    readonly spacer: {
        readonly type: PropType<VNodeChild>;
        readonly default: null;
        readonly validator: (val: unknown) => boolean;
    };
    readonly wrap: BooleanConstructor;
    readonly fill: BooleanConstructor;
    readonly fillRatio: {
        readonly type: NumberConstructor;
        readonly default: 100;
    };
    readonly size: {
        readonly type: PropType<Arrayable<number>>;
        readonly validator: (val: unknown) => val is number | [number, number];
    };
}>>, {
    readonly fill: boolean;
    readonly direction: "horizontal" | "vertical";
    readonly class: Arrayable<string | Record<string, boolean>>;
    readonly style: StyleValue;
    readonly alignment: string;
    readonly spacer: VNodeChild;
    readonly wrap: boolean;
    readonly fillRatio: number;
}, {}>;
export default _sfc_main;
