import type { ConfigProviderProps as ConfigProviderContext } from '../components/config-provider';
import type { MaybeRef } from '../types';
import type { Ref, App } from 'vue';
export declare function useGlobalConfig<K extends keyof ConfigProviderContext, D extends ConfigProviderContext[K]>(key: K, defaultValue?: D): Ref<Exclude<ConfigProviderContext[K], undefined> | D>;
export declare function useGlobalConfig(): Ref<ConfigProviderContext>;
export declare const provideGlobalConfig: (config: MaybeRef<ConfigProviderContext>, app?: App, global?: boolean) => Ref<ConfigProviderContext> | undefined;
