import type { InjectionKey, Ref } from 'vue';
import type { MaybeRef } from '../types';
export type FzIdInjectionContext = {
    prefix: number;
    current: number;
};
export declare const ID_INJECTION_KEY: InjectionKey<FzIdInjectionContext>;
export declare const useId: (deterministicId?: MaybeRef<string>) => Ref<string>;
